//---------------------------------Dijkstra----------------------------------
exports.rutas = function(navController) {
    
var win1 = Titanium.UI.createWindow({  
    //title:'MásMetroMX - Traza tu Ruta',
    title: ''+L("titleway"),
 	backgroundColor: '#3d3d3d',
      orientationModes: [
        Titanium.UI.PORTRAIT,
        Titanium.UI.UPSIDE_PORTRAIT,
        Titanium.UI.LANDSCAPE_LEFT,
        Titanium.UI.LANDSCAPE_RIGHT,
        Titanium.UI.FACE_DOWN,
        Titanium.UI.FACE_UP
          ],
});

var header = Titanium.UI.createButton({ image:'metritomx.png',});
win1.add(header);
header.addEventListener('click', function() {win1.close();});

var logomb = Titanium.UI.createButton({
	backgroundImage: 'LogoMetrobus.png',
});
win1.add(logomb);

var etiquetaTitle = Titanium.UI.createLabel({
	text: "Mas Metrobus MX",
	color: '#FFF'
});
win1.add(etiquetaTitle);



//---------------Index-------------------
//----1.Pantalla principal
//----2.Configuracion
//----3.Script. Constantes
//----4.Calcular Ruta 
//----5.Selectores
//----6.Ajustes
//----7.Informacion
//----8.Lista
//----9.Mapa

//------------------------------------------------------------------------------------------------
//-------------------------------Pantalla Principal---------------------------------
//------------------------------------------------------------------------------------------------
var cinicio = Ti.UI.createButton({
	title: '  Origen ', backgroundImage: 'estacion.png',
	top:'20%',left:'2%',width: '45%', height: '15%'
});
var cFinal = Ti.UI.createButton({
	title: '  Destino  ',backgroundImage: 'estacion.png',
	top:'20%', left:'53%', width:'45%', height:'15%',
});
var bRuta= Ti.UI.createButton({
	//backgroundImage: 'trazaazul.png', title: '\t Traza Tu Ruta',
	backgroundImage: 'trazaturuta1.png',
	backgroundSelectedImage: 'trazaturuta2.png',
	top:'37%', left:'30%',width:'40%',height:'10%',
});
var bConfig= Ti.UI.createButton({
	//backgroundImage: 'ajuste2.png',title: '\t Ajustes',
	backgroundImage: 'ajustes.png',
	backgroundSelectedImage: 'ajustescolor.png',
	top:'89%', left:'30%', width:'40%', height:'10%',
});
var bLista= Ti.UI.createButton({
	//title:'Ver Lista', backgroundImage: 'btnnaranja.png',
	backgroundImage: 'verlista.png',
	backgroundSelectedImage: 'verlistacolor.png',
	top:'69%', left:'2%', width:'45%', height:'10%',
});
var bMapa= Ti.UI.createButton({
	//title:'Ver Mapa',width:'auto', backgroundImage: 'btnnaranja.png',
	backgroundImage: 'vermapa.png',
	backgroundSelectedImage: 'vermapacolor.png',
	top:'69%', left:'53%', width:'45%', height:'10%',
});
var bInfo= Ti.UI.createButton({
	//title:'Ver Información',width:'auto', backgroundImage: 'btnnaranja.png',
	backgroundImage: 'verinfo.png',
	backgroundSelectedImage: 'verinfocolor.png',
	top:'57%', left:'25%', width:'50%', height:'10%',
});

win1.add(cinicio);
win1.add(cFinal);
win1.add(bRuta);
win1.add(bConfig);

//------------------------------------------------------------------------------------------------
//------------------------------------------Configuración----------------------------------
//------------------------------------------------------------------------------------------------
var cEvita= Ti.UI.createSwitch({
	style:Titanium.UI.Android.SWITCH_STYLE_CHECKBOX,
	title:"Evitar estación",width:'45%', height:'15%',top:'20%',left:'1%'
});
var estacionesevitadas = Ti.UI.createButton({
	top:'33%',left:'60%',width:'40%',height:'15%',
	title: 'Agregar Estación',backgroundImage: 'btnazul.png'
});
var clean= Ti.UI.createButton({
	top:'49%',left:'60%',width:'40%', height:'15%',
    title: 'Limpiar', backgroundImage: 'btnazul.png'
});
var richtextbox= Ti.UI.createTextArea({
	value : 'Estaciones evitadas: Ninguna.',
    top:'32%', left:'1%', height :'35%', width :'58%',
    font : {fontSize:15,fontFamily:'Marker Felt', fontWeight:'bold'},
    color : '#888', textAlign : 'left',
    appearance : Titanium.UI.KEYBOARD_APPEARANCE_ALERT, 
    editable: false,borderWidth : 2
});
var botonAjustes= Ti.UI.createButton({
	title: '  Trazar Ruta\n  con Ajustes  ',
	top:'80%',left:'1%', width:'40%', height:'18%',
    backgroundImage: 'btnnaranja.png'
});
var bRegresa= Ti.UI.createButton({
	title: ' Regresar ',
	top:'80%',left:'58%',width:'40%', height:'18%',
    backgroundImage: 'btnnaranja.png'
});

//------------------------------------------------------------------------------------------------
//---------------------------------------------script------------------------------
//------------------------------------------------------------------------------------------------
var NumEstaciones= 195;
cEvita.value=true;	

var nombres=new Array('Acatitla','Aculco','Agrícola Oriental','Allende','Apatlaco','Aquiles Serdán','Aragón','Atlalilco Linea 8','Atlalilco Linea 12','Auditorio','Autobuses del Norte','Azcapotzalco','Balbuena','Balderas Linea 1','Balderas Linea 3','Barranca del Muerto','Bellas Artes Linea 2','Bellas Artes Linea 8','Bondojito','Bosque de Aragón','Boulevard Puerto Aéreo','Buenavista','Calle 11','Camarones','Canal de San Juan','Canal del Norte','Candelaria Linea 1','Candelaria Linea 4','Centro Médico Linea 3','Centro Médico Linea 9','Cerro de la Estrella','Chabacano Linea 2','Chabacano Linea 8','Chabacano Linea 9','Chapultepec','Chilpancingo','Ciudad Azteca','Ciudad Deportiva','Colegio Militar','Constitución de 1917','Constituyentes','Consulado Linea 4','Consulado Linea 5','Copilco','Coyoacán','Coyuya','Cuatro Caminos','Cuauhtémoc','Cuitlahuac','Culhuacan','Deportivo 18 de Marzo Linea 3','Deportivo 18 de Marzo Linea 6','Deportivo Oceanía','División del Norte','Doctores','Ecatepec','Eduardo Molina','Eje Central','El Rosario Linea 6','El Rosario Linea 7','Ermita Linea 2','Ermita Linea 12','Escuadrón 201','Etiopía / Plaza de la Transparencia','Eugenia','Ferrería','Fray Servando','Garibaldi / Lagunilla Linea 8','Garibaldi / Lagunilla Linea B','General Anaya','Gómez Farías','Guelatao','Guerrero Linea 3','Guerrero Linea B','Hangares','Hidalgo Linea 2','Hidalgo Linea 3','Hospital 20 de Noviembre','Hospital General','Impulsora','Indios Verdes','Instituto del Petróleo Linea 5','Instituto del Petróleo Linea 6','Insurgentes','Insurgentes Sur','Isabel la Católica','Iztacalco','Iztapalapa','Jamaica Linea 4','Jamaica Linea 9','Juanacatlán','Juárez','La Paz','La Raza Linea 3','La Raza Linea 5','La Viga','La Villa-Basílica','Lagunilla','Lázaro Cárdenas','Lindavista','Lomas Estrella','Los Reyes','Martín Carrera Linea 4','Martín Carrera Linea 6','Merced','Mexicaltzingo','Miguel Angel de Quevedo','Misterios','Mixcoac Linea 7','Mixcoac Linea 12','Mixiuhca','Moctezuma','Morelos Linea 4','Morelos Linea B','Muzquiz','Nativitas','Nezahualcóyotl','Niños Héroes','Nopalera','Normal','Norte 45','Obrera','Observatorio','Oceanía Linea 5','Oceanía Linea B','Olímpica','Olivos','Panteones','Pantitlán Linea 1','Pantitlán Linea 5','Pantitlán Linea 9','Pantitlán Linea A','Parque de los Venados','Patriotismo','Peñón Viejo','Periferico Oriente','Pino Suárez Linea 1','Pino Suárez Linea 2','Plaza Aragón','Polanco','Politécnico','Popotla','Portales','Potrero','Puebla','R. Flores Magón','Refinería','Revolución','Río de los Remedios','Romero Rubio','Salto del Agua Linea 1','Salto del Agua Linea 8','San Andres Tomatlan','San Antonio','San Antonio Abad','San Cosme','San Joaquín','San Juan de Letrán','San Lázaro Linea 1','San Lázaro Linea B','San Pedro de los Pinos','Santa Anita Linea 4','Santa Anita Linea 8','Santa Marta','Sevilla','Tacuba Linea 2','Tacuba Linea 7','Tacubaya Linea 1','Tacubaya Linea 7','Tacubaya Linea 9','Talismán','Tasqueña','Tepalcates','Tepito','Terminal Aérea','Tezonco','Tezozomoc','Tlahuac','Tlaltenco','Tlatelolco','UAM-I','Universidad','Valle Gómez','Vallejo','Velódromo','Viaducto','Villa de Aragón','Villa de Cortés','Viveros / Derechos Humanos','Xola','Zapata Linea 3','Zapata Linea 12','Zapotitlan','Zaragoza','Zócalo');
var latitudes=new Array(19.364717,19.373756,19.404795,19.4355015354,19.378565,19.490504,19.451196,19.356179,19.356179,19.425543,19.479095,19.4908332,19.4230322943,19.427459,19.427459,19.360704,19.43609,19.43609,19.464706,19.458105,19.4197527573,19.446537,19.3201292844,19.479226,19.398733,19.448864,19.428847,19.428847,19.406662,19.406662,19.356053,19.408305,19.408305,19.408305,19.4206173328,19.406171,19.534575,19.408453,19.4491006292,19.345466,19.411914,19.458054,19.458054,19.335918,19.361303,19.398551,19.4595334785,19.425867,19.468503,19.338712,19.483606,19.483606,19.450963,19.379849,19.421653,19.515332,19.451408,19.3693183915,19.50451,19.50451,19.361799,19.361799,19.365031,19.396003,19.385954,19.490611,19.421653,19.444428,19.444428,19.353071,19.416436461,19.385132,19.445141,19.445141,19.424091,19.4373440616,19.437315,19.3719644247,19.413598,19.485718,19.495399,19.489204,19.489694,19.423626,19.3737328486,19.42653,19.388664,19.3579,19.409126,19.409126,19.412905,19.433268,19.3506587,19.468503,19.468503,19.406566,19.48150129,19.443375,19.407021,19.4879759973,19.323293,19.359028,19.485042,19.4849701,19.425493,19.3577105372,19.346836,19.463406,19.376196,19.3757967002,19.408569,19.4268561045,19.438974,19.438974,19.501704,19.379499,19.473056,19.41951,19.2985360257,19.4445637684,19.4886045,19.41333,19.3981645809,19.445675,19.445675,19.521318,19.3026130684,19.4586440843,19.415359,19.415359,19.415359,19.415359,19.3703448719,19.406232,19.37332,19.3184160627,19.4259201763,19.4259201763,19.528498,19.433516,19.50078,19.452157,19.369945,19.47697,19.407223,19.436468,19.470092,19.4392611671,19.490908,19.440619,19.426783,19.426783,19.3283846712,19.384772,19.4159740535,19.4417954472,19.445814,19.431245,19.4303101601,19.4303101601,19.39128,19.402736,19.402736,19.360263,19.4218295762,19.4593044809,19.4593044809,19.403161,19.403161,19.403161,19.47433,19.344199,19.3909,19.442521,19.433825,19.309040724,19.49489,19.2922824211,19.2983811238,19.4541673783,19.350728,19.324457,19.458798,19.4897708,19.4083,19.400868,19.461686,19.387479,19.353714,19.395206,19.370729,19.3705202583,19.2965606194,19.412288,19.4324796477);
var longitudes=new Array(-99.005678,-99.10772,-99.069874,-99.1369666607,-99.109387,-99.194881,-99.096358,-99.10132,-99.10132,-99.191973,-99.1407,-99.1863142,-99.1022953462,-99.149035,-99.149035,-99.189586,-99.14198,-99.14198,-99.111931,-99.069257,-99.0963522032,-99.153199,-99.0840958566,-99.19016,-99.059386,-99.116158,-99.119436,-99.119436,-99.155206,-99.155206,-99.085511,-99.1339,-99.1339,-99.1339,-99.1765720516,-99.16845,-99.027479,-99.091229,-99.1717162362,-99.063936,-99.191287,-99.113905,-99.113905,-99.176636,-99.170524,-99.113513,-99.2158512231,-99.154653,-99.18157,-99.112709,-99.126195,-99.126195,-99.079417,-99.159111,-99.143345,-99.035997,-99.105413,-99.1500356838,-99.19983,-99.19983,-99.142943,-99.142943,-99.10919,-99.156514,-99.157265,-99.173725,-99.120541,-99.139761,-99.139761,-99.145077,-99.0905469177,-99.035633,-99.145372,-99.145372,-99.087421,-99.1467017483,-99.147137,-99.1708782529,-99.153886,-99.049035,-99.1195,-99.144742,-99.144906,-99.162791,-99.1790878624,-99.137449,-99.112204,-99.093493,-99.121764,-99.121764,-99.182172,-99.147878,-98.960992,-99.139730,-99.13973,-99.126291,-99.11829,-99.13135,-99.144874,-99.1348883608,-99.09463,-98.976871,-99.104372,-99.1044105179,-99.124655,-99.120080523,-99.181019,-99.130797,-99.187881,-99.1877081963,-99.11288,-99.1098603925,-99.118255,-99.118255,-99.041968,-99.140207,-99.054537,-99.150506,-99.0415280622,-99.1674229596,-99.1630015,-99.144182,-99.2004371867,-99.087266,-99.087266,-99.03338,-99.0545921026,-99.2031334912,-99.072207,-99.072207,-99.072207,-99.072207,-99.1560807632,-99.178895,-99.017082,-99.0756368721,-99.1330791731,-99.1330791731,-99.030172,-99.191024,-99.149133,-99.174775,-99.141564,-99.132171,-99.082475,-99.103707,-99.1906,-99.1545337972,-99.046597,-99.09463,-99.142234,-99.142234,-99.1134379068,-99.186324,-99.1345822752,-99.1605904498,-99.191844,-99.141494,-99.1144101303,-99.1144101303,-99.186051,-99.121699,-99.121699,-98.995121,-99.1709619239,-99.187083,-99.187083,-99.187097,-99.187097,-99.187097,-99.108009,-99.142524,-99.04629,-99.123319,-99.087689,-99.0668026045,-99.1962326,-99.0166623412,-99.0219881191,-99.1430706677,-99.074728,-99.173959,-99.119323,-99.156026,-99.10269,-99.136634,-99.061317,-99.139101,-99.176035,-99.137809,-99.16492,-99.1648166498,-99.0349278076,-99.082378,-99.1323459246);
var colores=new Array('#FE2EF7','#0000FF','#86B404','#2EFEF7','#F7FE2E','#FF0000','#FF8000','#298A08','#2A1B0A','#6A0888','#A4A4A4','#B18904');
var aux1='';
var aux='';
var i=0;
var origenvalor=333; var destinovalor=333; var evitadasvalor=333;

var numestacionesxlinea=new Array(20,24,21,10,13,11,14,19,12,10,21,20);
var cuantascorrespondencias; var corresponde= new Array(NumEstaciones); var distancias= new Array(NumEstaciones);
cuantascorrespondencias= new Array(2,2,2,2,2,2,2,3,3,2,2,2,2,3,3,1,3,3,2,2,2,1,2,2,2,2,3,3,3,3,2,4,4,4,2,2,1,2,2,1,2,3,3,2,2,2,1,2,2,2,3,3,2,2,2,2,2,2,2,2,3,3,2,2,2,2,2,2,3,2,2,2,3,3,2,3,3,2,2,2,1,3,3,2,2,2,2,2,3,3,2,2,1,3,3,2,2,2,2,2,2,2,2,2,2,2,2,2,3,2,2,2,3,3,2,2,2,2,2,2,2,2,1,3,3,2,2,2,4,4,4,4,2,2,2,2,3,3,2,2,1,2,2,2,2,2,2,2,2,2,3,3,2,2,2,2,2,2,3,3,2,2,3,2,2,3,3,4,4,3,2,1,2,2,2,2,2,1,2,2,2,1,2,2,2,2,2,2,2,2,3,3,2,2,2);
corresponde[0]= new Array(1,1);  distancias[0]= new Array(1,1);    //Acatitla:  Peñón Viejo  Santa Marta  
corresponde[1]= new Array(1,1);  distancias[1]= new Array(1,1);    //Aculco:  Apatlaco  Escuadrón 201  
corresponde[2]= new Array(1,1);  distancias[2]= new Array(1,1);    //Agrícola Oriental:  Canal de San Juan  Pantitlán Linea A  
corresponde[3]= new Array(1,1);  distancias[3]= new Array(1,1);    //Allende:  Bellas Artes Linea 2  Zócalo  
corresponde[4]= new Array(1,1);  distancias[4]= new Array(1,1);    //Apatlaco:  Aculco  Iztacalco  
corresponde[5]= new Array(1,1);  distancias[5]= new Array(1,1);    //Aquiles Serdán:  Camarones  El Rosario Linea 7  
corresponde[6]= new Array(1,1);  distancias[6]= new Array(1,1);    //Aragón:  Eduardo Molina  Oceanía Linea 5  
corresponde[7]= new Array(1,1,1);  distancias[7]= new Array(1,1,1);    //Atlalilco Linea 8:  Atlalilco Linea 12  Escuadrón 201  Iztapalapa  
corresponde[8]= new Array(1,1,1);  distancias[8]= new Array(1,1,1);    //Atlalilco Linea 12:  Atlalilco Linea 8  Culhuacan  Mexicaltzingo  
corresponde[9]= new Array(1,1);  distancias[9]= new Array(1,1);    //Auditorio:  Constituyentes  Polanco  
corresponde[10]= new Array(1,1);  distancias[10]= new Array(1,1);    //Autobuses del Norte:  Instituto del Petróleo Linea 5  La Raza Linea 5  
corresponde[11]= new Array(1,1);  distancias[11]= new Array(1,1);    //Azcapotzalco:  Ferrería  Tezozomoc  
corresponde[12]= new Array(1,1);  distancias[12]= new Array(1,1);    //Balbuena:  Boulevard Puerto Aéreo  Moctezuma  
corresponde[13]= new Array(1,1,1);  distancias[13]= new Array(1,1,1);    //Balderas Linea 1:  Balderas Linea 3  Cuauhtémoc  Salto del Agua Linea 1  
corresponde[14]= new Array(1,1,1);  distancias[14]= new Array(1,1,1);    //Balderas Linea 3:  Balderas Linea 1  Juárez  Niños Héroes  
corresponde[15]= new Array(1,2);  distancias[15]= new Array(1,2);    //Barranca del Muerto:  Mixcoac Linea 7  
corresponde[16]= new Array(1,1,1);  distancias[16]= new Array(1,1,1);    //Bellas Artes Linea 2:  Allende  Bellas Artes Linea 8  Hidalgo Linea 2  
corresponde[17]= new Array(1,1,1);  distancias[17]= new Array(1,1,1);    //Bellas Artes Linea 8:  Bellas Artes Linea 2  Garibaldi / Lagunilla Linea 8  San Juan de Letrán  
corresponde[18]= new Array(1,1);  distancias[18]= new Array(1,1);    //Bondojito:  Consulado Linea 4  Talismán  
corresponde[19]= new Array(1,1);  distancias[19]= new Array(1,1);    //Bosque de Aragón:  Deportivo Oceanía  Villa de Aragón  
corresponde[20]= new Array(1,1);  distancias[20]= new Array(1,1);    //Boulevard Puerto Aéreo:  Balbuena  Gómez Farías  
corresponde[21]= new Array(1,2);  distancias[21]= new Array(1,2);    //Buenavista:  Guerrero Linea B  
corresponde[22]= new Array(1,1);  distancias[22]= new Array(1,1);    //Calle 11:  Lomas Estrella  Periferico Oriente  
corresponde[23]= new Array(1,1);  distancias[23]= new Array(1,1);    //Camarones:  Aquiles Serdán  Refinería  
corresponde[24]= new Array(1,1);  distancias[24]= new Array(1,1);    //Canal de San Juan:  Agrícola Oriental  Tepalcates  
corresponde[25]= new Array(1,1);  distancias[25]= new Array(1,1);    //Canal del Norte:  Consulado Linea 4  Morelos Linea 4  
corresponde[26]= new Array(1,1,1);  distancias[26]= new Array(1,1,1);    //Candelaria Linea 1:  Candelaria Linea 4  Merced  San Lázaro Linea 1  
corresponde[27]= new Array(1,1,1);  distancias[27]= new Array(1,1,1);    //Candelaria Linea 4:  Candelaria Linea 1  Fray Servando  Morelos Linea 4  
corresponde[28]= new Array(1,1,1);  distancias[28]= new Array(1,1,1);    //Centro Médico Linea 3:  Centro Médico Linea 9  Etiopía / Plaza de la Transparencia  Hospital General  
corresponde[29]= new Array(1,1,1);  distancias[29]= new Array(1,1,1);    //Centro Médico Linea 9:  Centro Médico Linea 3  Chilpancingo  Lázaro Cárdenas  
corresponde[30]= new Array(1,1);  distancias[30]= new Array(1,1);    //Cerro de la Estrella:  Iztapalapa  UAM-I  
corresponde[31]= new Array(1,1,1,1);  distancias[31]= new Array(1,1,1,1);    //Chabacano Linea 2:  Chabacano Linea 8  Chabacano Linea 9  San Antonio Abad  Viaducto  
corresponde[32]= new Array(1,1,1,1);  distancias[32]= new Array(1,1,1,1);    //Chabacano Linea 8:  Chabacano Linea 2  Chabacano Linea 9  La Viga  Obrera  
corresponde[33]= new Array(1,1,1,1);  distancias[33]= new Array(1,1,1,1);    //Chabacano Linea 9:  Chabacano Linea 2  Chabacano Linea 8  Jamaica Linea 9  Lázaro Cárdenas  
corresponde[34]= new Array(1,1);  distancias[34]= new Array(1,1);    //Chapultepec:  Juanacatlán  Sevilla  
corresponde[35]= new Array(1,1);  distancias[35]= new Array(1,1);    //Chilpancingo:  Centro Médico Linea 9  Patriotismo  
corresponde[36]= new Array(1,2);  distancias[36]= new Array(1,2);    //Ciudad Azteca:  Plaza Aragón  
corresponde[37]= new Array(1,1);  distancias[37]= new Array(1,1);    //Ciudad Deportiva:  Puebla  Velódromo  
corresponde[38]= new Array(1,1);  distancias[38]= new Array(1,1);    //Colegio Militar:  Normal  Popotla  
corresponde[39]= new Array(1,2);  distancias[39]= new Array(1,2);    //Constitución de 1917:  UAM-I  
corresponde[40]= new Array(1,1);  distancias[40]= new Array(1,1);    //Constituyentes:  Auditorio  Tacubaya Linea 7  
corresponde[41]= new Array(1,1,1);  distancias[41]= new Array(1,1,1);    //Consulado Linea 4:  Bondojito  Canal del Norte  Consulado Linea 5  
corresponde[42]= new Array(1,1,1);  distancias[42]= new Array(1,1,1);    //Consulado Linea 5:  Consulado Linea 4  Eduardo Molina  Valle Gómez  
corresponde[43]= new Array(1,1);  distancias[43]= new Array(1,1);    //Copilco:  Miguel Angel de Quevedo  Universidad  
corresponde[44]= new Array(1,1);  distancias[44]= new Array(1,1);    //Coyoacán:  Viveros / Derechos Humanos  Zapata Linea 3  
corresponde[45]= new Array(1,1);  distancias[45]= new Array(1,1);    //Coyuya:  Iztacalco  Santa Anita Linea 8  
corresponde[46]= new Array(1,2);  distancias[46]= new Array(1,2);    //Cuatro Caminos:  Panteones  
corresponde[47]= new Array(1,1);  distancias[47]= new Array(1,1);    //Cuauhtémoc:  Balderas Linea 1  Insurgentes  
corresponde[48]= new Array(1,1);  distancias[48]= new Array(1,1);    //Cuitlahuac:  Popotla  Tacuba Linea 2  
corresponde[49]= new Array(1,1);  distancias[49]= new Array(1,1);    //Culhuacan:  Atlalilco Linea 12  San Andres Tomatlan  
corresponde[50]= new Array(1,1,1);  distancias[50]= new Array(1,1,1);    //Deportivo 18 de Marzo Linea 3:  Deportivo 18 de Marzo Linea 6  Indios Verdes  Potrero  
corresponde[51]= new Array(1,1,1);  distancias[51]= new Array(1,1,1);    //Deportivo 18 de Marzo Linea 6:  Deportivo 18 de Marzo Linea 3  La Villa-Basílica  Lindavista  
corresponde[52]= new Array(1,1);  distancias[52]= new Array(1,1);    //Deportivo Oceanía:  Bosque de Aragón  Oceanía Linea B  
corresponde[53]= new Array(1,1);  distancias[53]= new Array(1,1);    //División del Norte:  Eugenia  Zapata Linea 3  
corresponde[54]= new Array(1,1);  distancias[54]= new Array(1,1);    //Doctores:  Obrera  Salto del Agua Linea 8  
corresponde[55]= new Array(1,1);  distancias[55]= new Array(1,1);    //Ecatepec:  Muzquiz  Olímpica  
corresponde[56]= new Array(1,1);  distancias[56]= new Array(1,1);    //Eduardo Molina:  Aragón  Consulado Linea 5  
corresponde[57]= new Array(1,1);  distancias[57]= new Array(1,1);    //Eje Central:  Ermita Linea 12  Parque de los Venados  
corresponde[58]= new Array(1,1);  distancias[58]= new Array(1,1);    //El Rosario Linea 6:  El Rosario Linea 7  Tezozomoc  
corresponde[59]= new Array(1,1);  distancias[59]= new Array(1,1);    //El Rosario Linea 7:  Aquiles Serdán  El Rosario Linea 6  
corresponde[60]= new Array(1,1,1);  distancias[60]= new Array(1,1,1);    //Ermita Linea 2:  Ermita Linea 12  General Anaya  Portales  
corresponde[61]= new Array(1,1,1);  distancias[61]= new Array(1,1,1);    //Ermita Linea 12:  Eje Central  Ermita Linea 2  Mexicaltzingo  
corresponde[62]= new Array(1,1);  distancias[62]= new Array(1,1);    //Escuadrón 201:  Aculco  Atlalilco Linea 8  
corresponde[63]= new Array(1,1);  distancias[63]= new Array(1,1);    //Etiopía / Plaza de la Transparencia:  Centro Médico Linea 3  Eugenia  
corresponde[64]= new Array(1,1);  distancias[64]= new Array(1,1);    //Eugenia:  División del Norte  Etiopía / Plaza de la Transparencia  
corresponde[65]= new Array(1,1);  distancias[65]= new Array(1,1);    //Ferrería:  Azcapotzalco  Norte 45  
corresponde[66]= new Array(1,1);  distancias[66]= new Array(1,1);    //Fray Servando:  Candelaria Linea 4  Jamaica Linea 4  
corresponde[67]= new Array(1,1);  distancias[67]= new Array(1,1);    //Garibaldi / Lagunilla Linea 8:  Bellas Artes Linea 8  Garibaldi / Lagunilla Linea B  
corresponde[68]= new Array(1,1,1);  distancias[68]= new Array(1,1,1);    //Garibaldi / Lagunilla Linea B:  Garibaldi / Lagunilla Linea 8  Guerrero Linea B  Lagunilla  
corresponde[69]= new Array(1,1);  distancias[69]= new Array(1,1);    //General Anaya:  Ermita Linea 2  Tasqueña  
corresponde[70]= new Array(1,1);  distancias[70]= new Array(1,1);    //Gómez Farías:  Boulevard Puerto Aéreo  Zaragoza  
corresponde[71]= new Array(1,1);  distancias[71]= new Array(1,1);    //Guelatao:  Peñón Viejo  Tepalcates  
corresponde[72]= new Array(1,1,1);  distancias[72]= new Array(1,1,1);    //Guerrero Linea 3:  Guerrero Linea B  Hidalgo Linea 3  Tlatelolco  
corresponde[73]= new Array(1,1,1);  distancias[73]= new Array(1,1,1);    //Guerrero Linea B:  Buenavista  Garibaldi / Lagunilla Linea B  Guerrero Linea 3  
corresponde[74]= new Array(1,1);  distancias[74]= new Array(1,1);    //Hangares:  Pantitlán Linea 5  Terminal Aérea  
corresponde[75]= new Array(1,1,1);  distancias[75]= new Array(1,1,1);    //Hidalgo Linea 2:  Bellas Artes Linea 2  Hidalgo Linea 3  Revolución  
corresponde[76]= new Array(1,1,1);  distancias[76]= new Array(1,1,1);    //Hidalgo Linea 3:  Guerrero Linea 3  Hidalgo Linea 2  Juárez  
corresponde[77]= new Array(1,1);  distancias[77]= new Array(1,1);    //Hospital 20 de Noviembre:  Insurgentes Sur  Zapata Linea 12  
corresponde[78]= new Array(1,1);  distancias[78]= new Array(1,1);    //Hospital General:  Centro Médico Linea 3  Niños Héroes  
corresponde[79]= new Array(1,1);  distancias[79]= new Array(1,1);    //Impulsora:  Nezahualcóyotl  Río de los Remedios  
corresponde[80]= new Array(1,2);  distancias[80]= new Array(1,2);    //Indios Verdes:  Deportivo 18 de Marzo Linea 3  
corresponde[81]= new Array(1,1,1);  distancias[81]= new Array(1,1,1);    //Instituto del Petróleo Linea 5:  Autobuses del Norte  Instituto del Petróleo Linea 6  Politécnico  
corresponde[82]= new Array(1,1,1);  distancias[82]= new Array(1,1,1);    //Instituto del Petróleo Linea 6:  Instituto del Petróleo Linea 5  Lindavista  Vallejo  
corresponde[83]= new Array(1,1);  distancias[83]= new Array(1,1);    //Insurgentes:  Cuauhtémoc  Sevilla  
corresponde[84]= new Array(1,1);  distancias[84]= new Array(1,1);    //Insurgentes Sur:  Hospital 20 de Noviembre  Mixcoac Linea 12  
corresponde[85]= new Array(1,1);  distancias[85]= new Array(1,1);    //Isabel la Católica:  Pino Suárez Linea 1  Salto del Agua Linea 1  
corresponde[86]= new Array(1,1);  distancias[86]= new Array(1,1);    //Iztacalco:  Apatlaco  Coyuya  
corresponde[87]= new Array(1,1);  distancias[87]= new Array(1,1);    //Iztapalapa:  Atlalilco Linea 8  Cerro de la Estrella  
corresponde[88]= new Array(1,1,1);  distancias[88]= new Array(1,1,1);    //Jamaica Linea 4:  Fray Servando  Jamaica Linea 9  Santa Anita Linea 4  
corresponde[89]= new Array(1,1,1);  distancias[89]= new Array(1,1,1);    //Jamaica Linea 9:  Chabacano Linea 9  Jamaica Linea 4  Mixiuhca  
corresponde[90]= new Array(1,1);  distancias[90]= new Array(1,1);    //Juanacatlán:  Chapultepec  Tacubaya Linea 1  
corresponde[91]= new Array(1,1);  distancias[91]= new Array(1,1);    //Juárez:  Balderas Linea 3  Hidalgo Linea 3  
corresponde[92]= new Array(1,2);  distancias[92]= new Array(1,2);    //La Paz:  Los Reyes  
corresponde[93]= new Array(1,1,1);  distancias[93]= new Array(1,1,1);    //La Raza Linea 3:  La Raza Linea 5  Potrero  Tlatelolco  
corresponde[94]= new Array(1,1,1);  distancias[94]= new Array(1,1,1);    //La Raza Linea 5:  Autobuses del Norte  La Raza Linea 3  Misterios  
corresponde[95]= new Array(1,1);  distancias[95]= new Array(1,1);    //La Viga:  Chabacano Linea 8  Santa Anita Linea 8  
corresponde[96]= new Array(1,1);  distancias[96]= new Array(1,1);    //La Villa-Basílica:  Deportivo 18 de Marzo Linea 6  Martín Carrera Linea 6  
corresponde[97]= new Array(1,1);  distancias[97]= new Array(1,1);    //Lagunilla:  Garibaldi / Lagunilla Linea B  Tepito  
corresponde[98]= new Array(1,1);  distancias[98]= new Array(1,1);    //Lázaro Cárdenas:  Centro Médico Linea 9  Chabacano Linea 9  
corresponde[99]= new Array(1,1);  distancias[99]= new Array(1,1);    //Lindavista:  Deportivo 18 de Marzo Linea 6  Instituto del Petróleo Linea 6  
corresponde[100]= new Array(1,1);  distancias[100]= new Array(1,1);    //Lomas Estrella:  Calle 11  San Andres Tomatlan  
corresponde[101]= new Array(1,1);  distancias[101]= new Array(1,1);    //Los Reyes:  La Paz  Santa Marta  
corresponde[102]= new Array(1,1);  distancias[102]= new Array(1,1);    //Martín Carrera Linea 4:  Martín Carrera Linea 6  Talismán  
corresponde[103]= new Array(1,1);  distancias[103]= new Array(1,1);    //Martín Carrera Linea 6:  La Villa-Basílica  Martín Carrera Linea 4  
corresponde[104]= new Array(1,1);  distancias[104]= new Array(1,1);    //Merced:  Candelaria Linea 1  Pino Suárez Linea 1  
corresponde[105]= new Array(1,1);  distancias[105]= new Array(1,1);    //Mexicaltzingo:  Atlalilco Linea 12  Ermita Linea 12  
corresponde[106]= new Array(1,1);  distancias[106]= new Array(1,1);    //Miguel Angel de Quevedo:  Copilco  Viveros / Derechos Humanos  
corresponde[107]= new Array(1,1);  distancias[107]= new Array(1,1);    //Misterios:  La Raza Linea 5  Valle Gómez  
corresponde[108]= new Array(1,1,1);  distancias[108]= new Array(1,1,1);    //Mixcoac Linea 7:  Barranca del Muerto  Mixcoac Linea 12  San Antonio  
corresponde[109]= new Array(1,1);  distancias[109]= new Array(1,1);    //Mixcoac Linea 12:  Insurgentes Sur  Mixcoac Linea 7  
corresponde[110]= new Array(1,1);  distancias[110]= new Array(1,1);    //Mixiuhca:  Jamaica Linea 9  Velódromo  
corresponde[111]= new Array(1,1);  distancias[111]= new Array(1,1);    //Moctezuma:  Balbuena  San Lázaro Linea 1  
corresponde[112]= new Array(1,1,1);  distancias[112]= new Array(1,1,1);    //Morelos Linea 4:  Canal del Norte  Candelaria Linea 4  Morelos Linea B  
corresponde[113]= new Array(1,1,1);  distancias[113]= new Array(1,1,1);    //Morelos Linea B:  Morelos Linea 4  San Lázaro Linea B  Tepito  
corresponde[114]= new Array(1,1);  distancias[114]= new Array(1,1);    //Muzquiz:  Ecatepec  Río de los Remedios  
corresponde[115]= new Array(1,1);  distancias[115]= new Array(1,1);    //Nativitas:  Portales  Villa de Cortés  
corresponde[116]= new Array(1,1);  distancias[116]= new Array(1,1);    //Nezahualcóyotl:  Impulsora  Villa de Aragón  
corresponde[117]= new Array(1,1);  distancias[117]= new Array(1,1);    //Niños Héroes:  Balderas Linea 3  Hospital General  
corresponde[118]= new Array(1,1);  distancias[118]= new Array(1,1);    //Nopalera:  Olivos  Zapotitlan  
corresponde[119]= new Array(1,1);  distancias[119]= new Array(1,1);    //Normal:  Colegio Militar  San Cosme  
corresponde[120]= new Array(1,1);  distancias[120]= new Array(1,1);    //Norte 45:  Ferrería  Vallejo  
corresponde[121]= new Array(1,1);  distancias[121]= new Array(1,1);    //Obrera:  Chabacano Linea 8  Doctores  
corresponde[122]= new Array(1,2);  distancias[122]= new Array(1,2);    //Observatorio:  Tacubaya Linea 1  
corresponde[123]= new Array(1,1,1);  distancias[123]= new Array(1,1,1);    //Oceanía Linea 5:  Aragón  Oceanía Linea B  Terminal Aérea  
corresponde[124]= new Array(1,1,1);  distancias[124]= new Array(1,1,1);    //Oceanía Linea B:  Deportivo Oceanía  Oceanía Linea 5  Romero Rubio  
corresponde[125]= new Array(1,1);  distancias[125]= new Array(1,1);    //Olímpica:  Ecatepec  Plaza Aragón  
corresponde[126]= new Array(1,1);  distancias[126]= new Array(1,1);    //Olivos:  Nopalera  Tezonco  
corresponde[127]= new Array(1,1);  distancias[127]= new Array(1,1);    //Panteones:  Cuatro Caminos  Tacuba Linea 2  
corresponde[128]= new Array(1,1,1,1);  distancias[128]= new Array(1,1,1,1);    //Pantitlán Linea 1:  Pantitlán Linea 5  Pantitlán Linea 9  Pantitlán Linea A  Zaragoza  
corresponde[129]= new Array(1,1,1,1);  distancias[129]= new Array(1,1,1,1);    //Pantitlán Linea 5:  Hangares  Pantitlán Linea 1  Pantitlán Linea 9  Pantitlán Linea A  
corresponde[130]= new Array(1,1,1,1);  distancias[130]= new Array(1,1,1,1);    //Pantitlán Linea 9:  Pantitlán Linea 1  Pantitlán Linea 5  Pantitlán Linea A  Puebla  
corresponde[131]= new Array(1,1,1,1);  distancias[131]= new Array(1,1,1,1);    //Pantitlán Linea A:  Agrícola Oriental  Pantitlán Linea 1  Pantitlán Linea 5  Pantitlán Linea 9  
corresponde[132]= new Array(1,1);  distancias[132]= new Array(1,1);    //Parque de los Venados:  Eje Central  Zapata Linea 12  
corresponde[133]= new Array(1,1);  distancias[133]= new Array(1,1);    //Patriotismo:  Chilpancingo  Tacubaya Linea 9  
corresponde[134]= new Array(1,1);  distancias[134]= new Array(1,1);    //Peñón Viejo:  Acatitla  Guelatao  
corresponde[135]= new Array(1,1);  distancias[135]= new Array(1,1);    //Periferico Oriente:  Calle 11  Tezonco  
corresponde[136]= new Array(1,1,1);  distancias[136]= new Array(1,1,1);    //Pino Suárez Linea 1:  Isabel la Católica  Merced  Pino Suárez Linea 2  
corresponde[137]= new Array(1,1,1);  distancias[137]= new Array(1,1,1);    //Pino Suárez Linea 2:  Pino Suárez Linea 1  San Antonio Abad  Zócalo  
corresponde[138]= new Array(1,1);  distancias[138]= new Array(1,1);    //Plaza Aragón:  Ciudad Azteca  Olímpica  
corresponde[139]= new Array(1,1);  distancias[139]= new Array(1,1);    //Polanco:  Auditorio  San Joaquín  
corresponde[140]= new Array(1,2);  distancias[140]= new Array(1,2);    //Politécnico:  Instituto del Petróleo Linea 5  
corresponde[141]= new Array(1,1);  distancias[141]= new Array(1,1);    //Popotla:  Colegio Militar  Cuitlahuac  
corresponde[142]= new Array(1,1);  distancias[142]= new Array(1,1);    //Portales:  Ermita Linea 2  Nativitas  
corresponde[143]= new Array(1,1);  distancias[143]= new Array(1,1);    //Potrero:  Deportivo 18 de Marzo Linea 3  La Raza Linea 3  
corresponde[144]= new Array(1,1);  distancias[144]= new Array(1,1);    //Puebla:  Ciudad Deportiva  Pantitlán Linea 9  
corresponde[145]= new Array(1,1);  distancias[145]= new Array(1,1);    //R. Flores Magón:  Romero Rubio  San Lázaro Linea B  
corresponde[146]= new Array(1,1);  distancias[146]= new Array(1,1);    //Refinería:  Camarones  Tacuba Linea 7  
corresponde[147]= new Array(1,1);  distancias[147]= new Array(1,1);    //Revolución:  Hidalgo Linea 2  San Cosme  
corresponde[148]= new Array(1,1);  distancias[148]= new Array(1,1);    //Río de los Remedios:  Impulsora  Muzquiz  
corresponde[149]= new Array(1,1);  distancias[149]= new Array(1,1);    //Romero Rubio:  Oceanía Linea B  R. Flores Magón  
corresponde[150]= new Array(1,1,1);  distancias[150]= new Array(1,1,1);    //Salto del Agua Linea 1:  Balderas Linea 1  Isabel la Católica  Salto del Agua Linea 8  
corresponde[151]= new Array(1,1,1);  distancias[151]= new Array(1,1,1);    //Salto del Agua Linea 8:  Doctores  Salto del Agua Linea 1  San Juan de Letrán  
corresponde[152]= new Array(1,1);  distancias[152]= new Array(1,1);    //San Andres Tomatlan:  Culhuacan  Lomas Estrella  
corresponde[153]= new Array(1,1);  distancias[153]= new Array(1,1);    //San Antonio:  Mixcoac Linea 7  San Pedro de los Pinos  
corresponde[154]= new Array(1,1);  distancias[154]= new Array(1,1);    //San Antonio Abad:  Chabacano Linea 2  Pino Suárez Linea 2  
corresponde[155]= new Array(1,1);  distancias[155]= new Array(1,1);    //San Cosme:  Normal  Revolución  
corresponde[156]= new Array(1,1);  distancias[156]= new Array(1,1);    //San Joaquín:  Polanco  Tacuba Linea 7  
corresponde[157]= new Array(1,1);  distancias[157]= new Array(1,1);    //San Juan de Letrán:  Bellas Artes Linea 8  Salto del Agua Linea 8  
corresponde[158]= new Array(1,1,1);  distancias[158]= new Array(1,1,1);    //San Lázaro Linea 1:  Candelaria Linea 1  Moctezuma  San Lázaro Linea B  
corresponde[159]= new Array(1,1,1);  distancias[159]= new Array(1,1,1);    //San Lázaro Linea B:  Morelos Linea B  R. Flores Magón  San Lázaro Linea 1  
corresponde[160]= new Array(1,1);  distancias[160]= new Array(1,1);    //San Pedro de los Pinos:  San Antonio  Tacubaya Linea 7  
corresponde[161]= new Array(1,1);  distancias[161]= new Array(1,1);    //Santa Anita Linea 4:  Jamaica Linea 4  Santa Anita Linea 8  
corresponde[162]= new Array(1,1,1);  distancias[162]= new Array(1,1,1);    //Santa Anita Linea 8:  Coyuya  La Viga  Santa Anita Linea 4  
corresponde[163]= new Array(1,1);  distancias[163]= new Array(1,1);    //Santa Marta:  Acatitla  Los Reyes  
corresponde[164]= new Array(1,1);  distancias[164]= new Array(1,1);    //Sevilla:  Chapultepec  Insurgentes  
corresponde[165]= new Array(1,1,1);  distancias[165]= new Array(1,1,1);    //Tacuba Linea 2:  Cuitlahuac  Panteones  Tacuba Linea 7  
corresponde[166]= new Array(1,1,1);  distancias[166]= new Array(1,1,1);    //Tacuba Linea 7:  Refinería  San Joaquín  Tacuba Linea 2  
corresponde[167]= new Array(1,1,1,1);  distancias[167]= new Array(1,1,1,1);    //Tacubaya Linea 1:  Juanacatlán  Observatorio  Tacubaya Linea 7  Tacubaya Linea 9  
corresponde[168]= new Array(1,1,1,1);  distancias[168]= new Array(1,1,1,1);    //Tacubaya Linea 7:  Constituyentes  San Pedro de los Pinos  Tacubaya Linea 1  Tacubaya Linea 9  
corresponde[169]= new Array(1,1,1);  distancias[169]= new Array(1,1,1);    //Tacubaya Linea 9:  Patriotismo  Tacubaya Linea 1  Tacubaya Linea 7  
corresponde[170]= new Array(1,1);  distancias[170]= new Array(1,1);    //Talismán:  Bondojito  Martín Carrera Linea 4  
corresponde[171]= new Array(1,2);  distancias[171]= new Array(1,2);    //Tasqueña:  General Anaya  
corresponde[172]= new Array(1,1);  distancias[172]= new Array(1,1);    //Tepalcates:  Canal de San Juan  Guelatao  
corresponde[173]= new Array(1,1);  distancias[173]= new Array(1,1);    //Tepito:  Lagunilla  Morelos Linea B  
corresponde[174]= new Array(1,1);  distancias[174]= new Array(1,1);    //Terminal Aérea:  Hangares  Oceanía Linea 5  
corresponde[175]= new Array(1,1);  distancias[175]= new Array(1,1);    //Tezonco:  Olivos  Periferico Oriente  
corresponde[176]= new Array(1,1);  distancias[176]= new Array(1,1);    //Tezozomoc:  Azcapotzalco  El Rosario Linea 6  
corresponde[177]= new Array(1,2);  distancias[177]= new Array(1,2);    //Tlahuac:  Tlaltenco  
corresponde[178]= new Array(1,1);  distancias[178]= new Array(1,1);    //Tlaltenco:  Tlahuac  Zapotitlan  
corresponde[179]= new Array(1,1);  distancias[179]= new Array(1,1);    //Tlatelolco:  Guerrero Linea 3  La Raza Linea 3  
corresponde[180]= new Array(1,1);  distancias[180]= new Array(1,1);    //UAM-I:  Cerro de la Estrella  Constitución de 1917  
corresponde[181]= new Array(1,2);  distancias[181]= new Array(1,2);    //Universidad:  Copilco  
corresponde[182]= new Array(1,1);  distancias[182]= new Array(1,1);    //Valle Gómez:  Consulado Linea 5  Misterios  
corresponde[183]= new Array(1,1);  distancias[183]= new Array(1,1);    //Vallejo:  Instituto del Petróleo Linea 6  Norte 45  
corresponde[184]= new Array(1,1);  distancias[184]= new Array(1,1);    //Velódromo:  Ciudad Deportiva  Mixiuhca  
corresponde[185]= new Array(1,1);  distancias[185]= new Array(1,1);    //Viaducto:  Chabacano Linea 2  Xola  
corresponde[186]= new Array(1,1);  distancias[186]= new Array(1,1);    //Villa de Aragón:  Bosque de Aragón  Nezahualcóyotl  
corresponde[187]= new Array(1,1);  distancias[187]= new Array(1,1);    //Villa de Cortés:  Nativitas  Xola  
corresponde[188]= new Array(1,1);  distancias[188]= new Array(1,1);    //Viveros / Derechos Humanos:  Coyoacán  Miguel Angel de Quevedo  
corresponde[189]= new Array(1,1);  distancias[189]= new Array(1,1);    //Xola:  Viaducto  Villa de Cortés  
corresponde[190]= new Array(1,1,1);  distancias[190]= new Array(1,1,1);    //Zapata Linea 3:  Coyoacán  División del Norte  Zapata Linea 12  
corresponde[191]= new Array(1,1,1);  distancias[191]= new Array(1,1,1);    //Zapata Linea 12:  Hospital 20 de Noviembre  Parque de los Venados  Zapata Linea 3  
corresponde[192]= new Array(1,1);  distancias[192]= new Array(1,1);    //Zapotitlan:  Nopalera  Tlaltenco  
corresponde[193]= new Array(1,1);  distancias[193]= new Array(1,1);    //Zaragoza:  Gómez Farías  Pantitlán Linea 1  
corresponde[194]= new Array(1,1);  distancias[194]= new Array(1,1);    //Zócalo:  Allende  Pino Suárez Linea 2  


var numtrayecto=0;
var trayecto= new Array(200);
var trayectol= new Array(200);
var procede= new Array(500);
var peso= new Array(500);
var actual= new Array(500);
var recorridototal;
var Nodo=0;
var origen;
var j=0;
var encontrado=0;
var evitadas= new Array(30);
var numevitadas=0;
var infogente='';
var estcongente= new Array(NumEstaciones);
var numcongente=0;
var horas,minutos;
var estacionesmax=24;
var numlineas=12;
var numtransbordoshechos=0;
var p=0;
var q=0;
var meta;
var direcciontransbordo='';

 var estacionesxlinea= new Array(numlineas);
		   estacionesxlinea[0]= new Array(128,193,70,20,12,111,158,26,104,136,85,150,13,47,83,164,34,90,167,122,500,500,500,500);
           estacionesxlinea[1]= new Array(46,127,165,48,141,38,119,155,147,75,16,3,194,137,154,31,185,189,187,115,142,60,69,171);
           estacionesxlinea[2]= new Array(80,50,143,93,179,72,76,91,14,117,78,28,63,64,53,190,44,188,106,43,181,500,500,500);
           estacionesxlinea[3]= new Array(102,170,18,41,25,112,27,66,88,161,500,500,500,500,500,500,500,500,500,500,500,500,500,500);
           estacionesxlinea[4]= new Array(129,74,174,123,6,56,42,182,107,94,10,81,140,500,500,500,500,500,500,500,500,500,500,500);
           estacionesxlinea[5]= new Array(58,176,11,65,120,183,82,99,51,96,103,500,500,500,500,500,500,500,500,500,500,500,500,500);
           estacionesxlinea[6]= new Array(59,5,23,146,166,156,139,9,40,168,160,153,108,15,500,500,500,500,500,500,500,500,500,500);
           estacionesxlinea[7]= new Array(67,17,157,151,54,121,32,95,162,45,86,4,1,62,7,87,30,180,39,500,500,500,500,500);
           estacionesxlinea[8]= new Array(130,144,37,184,110,89,33,98,29,35,133,169,500,500,500,500,500,500,500,500,500,500,500,500);
           estacionesxlinea[9]= new Array(131,2,24,172,71,134,0,163,101,92,500,500,500,500,500,500,500,500,500,500,500,500,500,500);
           estacionesxlinea[10]= new Array(21,73,68,97,173,113,159,145,149,124,52,19,186,116,79,148,114,55,125,138,36,500,500,500);
           estacionesxlinea[11]= new Array(109,84,77,191,132,57,61,105,8,49,152,100,22,135,175,126,118,192,178,177,500,500,500,500);


var data=[{title:'Acatitla',header:'A', leftImage: '0.png'},{title:'Aculco', leftImage: '1.png'},{title:'Agrícola Oriental', leftImage: '2.png'},{title:'Allende', leftImage: '3.png'},{title:'Apatlaco', leftImage: '4.png'},{title:'Aquiles Serdán', leftImage: '5.png'},{title:'Aragón', leftImage: '6.png'},{title:'Atlalilco Linea 8', leftImage: '7.png'},{title:'Atlalilco Linea 12', leftImage: '8.png'},{title:'Auditorio', leftImage: '9.png'},{title:'Autobuses del Norte', leftImage: '10.png'},{title:'Azcapotzalco', leftImage: '11.png'},{title:'Balbuena', header:'B', leftImage: '12.png'},{title:'Balderas Linea 1', leftImage: '13.png'},{title:'Balderas Linea 3', leftImage: '14.png'},{title:'Barranca del Muerto', leftImage: '15.png'},{title:'Bellas Artes Linea 2', leftImage: '16.png'},{title:'Bellas Artes Linea 8', leftImage: '17.png'},{title:'Bondojito', leftImage: '18.png'},{title:'Bosque de Aragón', leftImage: '19.png'},{title:'Boulevard Puerto Aéreo', leftImage: '20.png'},{title:'Buenavista', leftImage: '21.png'},{title:'Calle 11', header:'C', leftImage: '22.png'},{title:'Camarones', leftImage: '23.png'},{title:'Canal de San Juan', leftImage: '24.png'},{title:'Canal del Norte', leftImage: '25.png'},{title:'Candelaria Linea 1', leftImage: '26.png'},{title:'Candelaria Linea 4', leftImage: '27.png'},{title:'Centro Médico Linea 3', leftImage: '28.png'},{title:'Centro Médico Linea 9', leftImage: '29.png'},{title:'Cerro de la Estrella', leftImage: '30.png'},{title:'Chabacano Linea 2', leftImage: '31.png'},{title:'Chabacano Linea 8', leftImage: '32.png'},{title:'Chabacano Linea 9', leftImage: '33.png'},{title:'Chapultepec', leftImage: '34.png'},{title:'Chilpancingo', leftImage: '35.png'},{title:'Ciudad Azteca', leftImage: '36.png'},{title:'Ciudad Deportiva', leftImage: '37.png'},{title:'Colegio Militar', leftImage: '38.png'},{title:'Constitución de 1917', leftImage: '39.png'},{title:'Constituyentes', leftImage: '40.png'},{title:'Consulado Linea 4', leftImage: '41.png'},{title:'Consulado Linea 5', leftImage: '42.png'},{title:'Copilco', leftImage: '43.png'},{title:'Coyoacán', leftImage: '44.png'},{title:'Coyuya', leftImage: '45.png'},{title:'Cuatro Caminos', leftImage: '46.png'},{title:'Cuauhtémoc', leftImage: '47.png'},{title:'Cuitlahuac', leftImage: '48.png'},{title:'Culhuacan', leftImage: '49.png'},{title:'Deportivo 18 de Marzo Linea 3', header:'D', leftImage: '50.png'},{title:'Deportivo 18 de Marzo Linea 6', leftImage: '51.png'},{title:'Deportivo Oceanía', leftImage: '52.png'},{title:'División del Norte', leftImage: '53.png'},{title:'Doctores', leftImage: '54.png'},{title:'Ecatepec', header:'E', leftImage: '55.png'},{title:'Eduardo Molina', leftImage: '56.png'},{title:'Eje Central', leftImage: '57.png'},{title:'El Rosario Linea 6', leftImage: '58.png'},{title:'El Rosario Linea 7', leftImage: '59.png'},{title:'Ermita Linea 2', leftImage: '60.png'},{title:'Ermita Linea 12', leftImage: '61.png'},{title:'Escuadrón 201', leftImage: '62.png'},{title:'Etiopía / Plaza de la Transparencia', leftImage: '63.png'},{title:'Eugenia', leftImage: '64.png'},{title:'Ferrería', header:'F', leftImage: '65.png'},{title:'Fray Servando', leftImage: '66.png'},{title:'Garibaldi / Lagunilla Linea 8', header:'G', leftImage: '67.png'},{title:'Garibaldi / Lagunilla Linea B', leftImage: '68.png'},{title:'General Anaya', leftImage: '69.png'},{title:'Gómez Farías', leftImage: '70.png'},{title:'Guelatao', leftImage: '71.png'},{title:'Guerrero Linea 3', leftImage: '72.png'},{title:'Guerrero Linea B', leftImage: '73.png'},{title:'Hangares', header:'H', leftImage: '74.png'},{title:'Hidalgo Linea 2', leftImage: '75.png'},{title:'Hidalgo Linea 3', leftImage: '76.png'},{title:'Hospital 20 de Noviembre', leftImage: '77.png'},{title:'Hospital General', leftImage: '78.png'},{title:'Impulsora', header:'I', leftImage: '79.png'},{title:'Indios Verdes', leftImage: '80.png'},{title:'Instituto del Petróleo Linea 5', leftImage: '81.png'},{title:'Instituto del Petróleo Linea 6', leftImage: '82.png'},{title:'Insurgentes', leftImage: '83.png'},{title:'Insurgentes Sur', leftImage: '84.png'},{title:'Isabel la Católica', leftImage: '85.png'},{title:'Iztacalco', leftImage: '86.png'},{title:'Iztapalapa', leftImage: '87.png'},{title:'Jamaica Linea 4', header:'J', leftImage: '88.png'},{title:'Jamaica Linea 9', leftImage: '89.png'},{title:'Juanacatlán', leftImage: '90.png'},{title:'Juárez', leftImage: '91.png'},{title:'La Paz', header:'L', leftImage: '92.png'},{title:'La Raza Linea 3', leftImage: '93.png'},{title:'La Raza Linea 5', leftImage: '94.png'},{title:'La Viga', leftImage: '95.png'},{title:'La Villa-Basílica', leftImage: '96.png'},{title:'Lagunilla', leftImage: '97.png'},{title:'Lázaro Cárdenas', leftImage: '98.png'},{title:'Lindavista', leftImage: '99.png'},{title:'Lomas Estrella', leftImage: '100.png'},{title:'Los Reyes', leftImage: '101.png'},{title:'Martín Carrera Linea 4', header:'M', leftImage: '102.png'},{title:'Martín Carrera Linea 6', leftImage: '103.png'},{title:'Merced', leftImage: '104.png'},{title:'Mexicaltzingo', leftImage: '105.png'},{title:'Miguel Angel de Quevedo', leftImage: '106.png'},{title:'Misterios', leftImage: '107.png'},{title:'Mixcoac Linea 7', leftImage: '108.png'},{title:'Mixcoac Linea 12', leftImage: '109.png'},{title:'Mixiuhca', leftImage: '110.png'},{title:'Moctezuma', leftImage: '111.png'},{title:'Morelos Linea 4', leftImage: '112.png'},{title:'Morelos Linea B', leftImage: '113.png'},{title:'Muzquiz', leftImage: '114.png'},{title:'Nativitas', header:'N', leftImage: '115.png'},{title:'Nezahualcóyotl', leftImage: '116.png'},{title:'Niños Héroes', leftImage: '117.png'},{title:'Nopalera', leftImage: '118.png'},{title:'Normal', leftImage: '119.png'},{title:'Norte 45', leftImage: '120.png'},{title:'Obrera', header:'O', leftImage: '121.png'},{title:'Observatorio', leftImage: '122.png'},{title:'Oceanía Linea 5', leftImage: '123.png'},{title:'Oceanía Linea B', leftImage: '124.png'},{title:'Olímpica', leftImage: '125.png'},{title:'Olivos', leftImage: '126.png'},{title:'Panteones', header:'P', leftImage: '127.png'},{title:'Pantitlán Linea 1', leftImage: '128.png'},{title:'Pantitlán Linea 5', leftImage: '129.png'},{title:'Pantitlán Linea 9', leftImage: '130.png'},{title:'Pantitlán Linea A', leftImage: '131.png'},{title:'Parque de los Venados', leftImage: '132.png'},{title:'Patriotismo', leftImage: '133.png'},{title:'Peñón Viejo', leftImage: '134.png'},{title:'Periferico Oriente', leftImage: '135.png'},{title:'Pino Suárez Linea 1', leftImage: '136.png'},{title:'Pino Suárez Linea 2', leftImage: '137.png'},{title:'Plaza Aragón', leftImage: '138.png'},{title:'Polanco', leftImage: '139.png'},{title:'Politécnico', leftImage: '140.png'},{title:'Popotla', leftImage: '141.png'},{title:'Portales', leftImage: '142.png'},{title:'Potrero', leftImage: '143.png'},{title:'Puebla', leftImage: '144.png'},{title:'R. Flores Magón', header:'R', leftImage: '145.png'},{title:'Refinería', leftImage: '146.png'},{title:'Revolución', leftImage: '147.png'},{title:'Río de los Remedios', leftImage: '148.png'},{title:'Romero Rubio', leftImage: '149.png'},{title:'Salto del Agua Linea 1', header:'S', leftImage: '150.png'},{title:'Salto del Agua Linea 8', leftImage: '151.png'},{title:'San Andres Tomatlan', leftImage: '152.png'},{title:'San Antonio', leftImage: '153.png'},{title:'San Antonio Abad', leftImage: '154.png'},{title:'San Cosme', leftImage: '155.png'},{title:'San Joaquín', leftImage: '156.png'},{title:'San Juan de Letrán', leftImage: '157.png'},{title:'San Lázaro Linea 1', leftImage: '158.png'},{title:'San Lázaro Linea B', leftImage: '159.png'},{title:'San Pedro de los Pinos', leftImage: '160.png'},{title:'Santa Anita Linea 4', leftImage: '161.png'},{title:'Santa Anita Linea 8', leftImage: '162.png'},{title:'Santa Marta', leftImage: '163.png'},{title:'Sevilla', leftImage: '164.png'},{title:'Tacuba Linea 2', header:'T', leftImage: '165.png'},{title:'Tacuba Linea 7', leftImage: '166.png'},{title:'Tacubaya Linea 1', leftImage: '167.png'},{title:'Tacubaya Linea 7', leftImage: '168.png'},{title:'Tacubaya Linea 9', leftImage: '169.png'},{title:'Talismán', leftImage: '170.png'},{title:'Tasqueña', leftImage: '171.png'},{title:'Tepalcates', leftImage: '172.png'},{title:'Tepito', leftImage: '173.png'},{title:'Terminal Aérea', leftImage: '174.png'},{title:'Tezonco', leftImage: '175.png'},{title:'Tezozomoc', leftImage: '176.png'},{title:'Tlahuac', leftImage: '177.png'},{title:'Tlaltenco', leftImage: '178.png'},{title:'Tlatelolco', leftImage: '179.png'},{title:'UAM-I', header:'U', leftImage: '180.png'},{title:'Universidad', leftImage: '181.png'},{title:'Valle Gómez', header:'V', leftImage: '182.png'},{title:'Vallejo', leftImage: '183.png'},{title:'Velódromo', leftImage: '184.png'},{title:'Viaducto', leftImage: '185.png'},{title:'Villa de Aragón', leftImage: '186.png'},{title:'Villa de Cortés', leftImage: '187.png'},{title:'Viveros / Derechos Humanos', leftImage: '188.png'},{title:'Xola', header:'X', leftImage: '189.png'},{title:'Zapata Linea 3', header:'Z', leftImage: '190.png'},{title:'Zapata Linea 12', leftImage: '191.png'},{title:'Zapotitlan', leftImage: '192.png'},{title:'Zaragoza', leftImage: '193.png'},{title:'Zócalo', leftImage: '194.png'}];
var actInd = Titanium.UI.createActivityIndicator({bottom:10, height:50, width:10,style:Titanium.UI.iPhone.ActivityIndicatorStyle.PLAIN});
actInd.message = 'Buscando estación cercana';
win1.add(actInd);

//---------------------------------------------------------------------
//----------------------------- Calcular Ruta -------------------------
//---------------------------------------------------------------------

bRuta.addEventListener('click',function(e)
{
	Teoricas();
	dijkstra();	
	bLista.title= 'Ver Lista';
	bMapa.title= 'Ver Mapa';
	bInfo.title= 'Ver Información';
});

function dijkstra()
{
	if(origenvalor!=333&&destinovalor!=333)
	{
		Nodo=0;
		actual[Nodo]= origenvalor;
		procede[Nodo]= origenvalor;
		peso[Nodo]=0;
		encontrado=0;
		Nodo=1;
	    meta= destinovalor;
	    	
		var ciclos= 12;
		if(numevitadas>0){ciclos=12*numevitadas;}
		var vueltas=0;
		for(vueltas=0;vueltas<ciclos;vueltas++)
		{
		for(j=0;j<Nodo;j++)
		 {
			origen=actual[j];
			buscalinks();
		 }
		}

		for(i=0;i<Nodo;i++)
		 {
			if(actual[i]==meta)
				{
				encontrado=i;
				}
		 }
		
		recorridototal=encontrado;
		aux1='';
		 var lineaproviene= 0;
		 var linea= 0;
		 for(p=0;p<numlineas;p++)
		 {
			for( q=0;q<estacionesmax;q++)
			{
				if(estacionesxlinea[p][q]== meta)
				{
					lineaproviene=p;
					linea=p;
				}
			}
		 }
		 numtransbordoshechos=1;
		 numtrayecto=0;
		 var pasos=0;
		 var banderagente=0;
		 infogente='';
		do
		{		
			for( p=0;p<numlineas;p++)
			{
				for( q=0;q<estacionesmax;q++)
				{
					if(estacionesxlinea[p][q]== actual[encontrado]) { linea = p; }
				}
			}
			if(lineaproviene != linea)
			{
				numtransbordoshechos= numtransbordoshechos+1;
				aux= '------transbordo-----' + aux1;
				aux1= aux;
				trayecto[numtrayecto]= 333;
				numtrayecto=numtrayecto+1;
			}
			
			aux= '  Linea '+ (linea+1) +  aux1;
			aux1=aux;
			lineaproviene= linea;
			aux= ' '+ nombres[actual[encontrado]]+' - '+aux1;
			trayecto[numtrayecto]= actual[encontrado];
			trayectol[numtrayecto]= linea+1;
			numtrayecto=numtrayecto+1;
			aux1=aux;
			
			encontrado=procede[encontrado];
			for(i=0;i<Nodo;i++)
			{
				if(actual[i]==encontrado)
				{
				encontrado=i;
				i=Nodo;
				pasos= pasos +1;
				}
			}
		}while(actual[encontrado]!=actual[0]);
		
		if(banderagente==1)
		{
		aux= ' Toma tus precauciones hay demasiada gente en: ' + infogente;
		infogente= aux;
		}
		banderagente=0;
		guia=pasos+1;
		aux= nombres[actual[0]]+aux1;
		aux1=aux;
		minutos= peso[recorridototal]/60;
		horas=0;
		if(minutos>=60)
		{
			horas=Math.floor(minutos/60);
			minutos=minutos-(horas*60);
		}
		minutos=Math.floor(minutos);
	
		aux='La ruta para llegar de ' +nombres[actual[0]]+ ' a '+ nombres[meta]+' es: '+ aux1 + '.  Se recorren '+(pasos-numtransbordoshechos+1)+' estaciones y '+ (numtransbordoshechos-1)+ ' transbordos en un tiempo de '+peso[recorridototal]+' minutos '+ infogente + '\n \n';
		aux='Origen: ' +nombres[actual[0]]+ ' \nDestino: '+ nombres[meta]+' \nEstaciones: '+(pasos-numtransbordoshechos+1)+' \nTransbordos: '+ (numtransbordoshechos-1)+ ' \nTiempo: '+horas+' hora y '+ minutos+' minutos '+ infogente + '\n \n';
	
		if(horas==0)
		{	aux='Origen: ' +nombres[actual[0]]+ ' \nDestino: '+ nombres[meta]+' \nEstaciones: '+(pasos-numtransbordoshechos+1)+' \nTransbordos: '+ (numtransbordoshechos-1)+ ' \nTiempo: '+ minutos+' minutos '+ infogente + '\n \n'; }
		aux1=aux;
		trayecto[numtrayecto]=origenvalor;
		aux1='';//------------linea----------
		var muestraono=0;
		if(actual[0]==meta)
		{
		alert("El origen y el destino son iguales");
		muestraono=1;
		}
		if(peso[recorridototal]>=100000)
		{
		alert("No hay una ruta disponible");
		muestraono=1;
		}
		
		if(muestraono==0)
		{
		win1.add(bMapa);
		win1.add(bInfo);
		win1.add(bLista);
		bMapa.show();
		bInfo.show();
		bLista.show();
		visible=true;
		if(ajustescheck==1)
		{aux1=aux+'\n *Ruta con Ajustes';
		aux=aux1;}
		alert(''+aux);
		}
	}
	else{
		alert("Falta Origen y/o Destino");
		}
}

function buscalinks()
{
var bandera=0;
for(i=0;i<cuantascorrespondencias[origen];i++)
 {
	if(distancias[origen][i]>0)
	{
		if(corresponde[origen][i]==procede[j]){}
		else
		{
		    var peso1=0;
		    var l=0;
			for(l=0;l<Nodo;l++)
			{
				if(corresponde[origen][i]==actual[l])
				{
				bandera=1;
				peso1=l;
				}
			}
			if(bandera==0)
			{
				actual[Nodo]=corresponde[origen][i];
				procede[Nodo]=origen;
				peso[Nodo]= distancias[origen][i]+peso[j];
				Nodo=Nodo+1;
			}
			if(bandera==1)
			{
				if(distancias[origen][i]+peso[j]<peso[peso1])
				{
				peso[peso1]= distancias[origen][i]+peso[j];
				procede[peso1]=actual[j];
				}
			}
			bandera=0;
		}
	}

 }
 }

		//---------------------------------------------------------------------
		//----------------------------- Selectores -------------------------
		//---------------------------------------------------------------------
		
cinicio.addEventListener('click',function(e)
{
nuevaruta();
choice=0;
selector();
});

cFinal.addEventListener('click',function(e)
{
nuevaruta();	
choice=1;
selector();
});

estacionesevitadas.addEventListener('click',function(e)
{
choice=2;
selector();
});

function nuevaruta()
{
	bMapa.hide();
	bInfo.hide();
	bLista.hide();
	visible=false;
}

var dialog = Titanium.UI.createOptionDialog();
var choice=0;
var latitude=0;
var longitude=0;
		
function selector()
{	
	var root = Ti.UI.createView({});
	var view = Ti.UI.createView({});
	var tf1 = Ti.UI.createTextArea({
	color:'#336699',height:40, width:40, top:1, left:5,
	font : {fontSize:15,fontFamily:'Helvetica'},
	appearance : Titanium.UI.KEYBOARD_APPEARANCE_ALERT, 
    borderWidth : 2});
	
	var etiquetaFiltro = Titanium.UI.createLabel({
	top:1, left:48, width: 'auto', height: 'auto', fontSize:30,
	fontFamily: 'Helvetica', color: '#FFF', text: 'Ingrese la primera letra' });
	
	view.add(etiquetaFiltro);
	view.add(tf1);
	root.add(view);	
		//dialog.options = null;
    dialog.buttonNames = ['Ok'];
 
	dialog.androidView = root;
		if(choice==0){dialog.title = 'Origen';dialog.buttonNames = ['Ok','Buscar Cercana'];};
		if(choice==1){dialog.title = 'Destino';};
		if(choice==2){dialog.title = 'Evitar';};
		dialog.show();	
		
	var tableview= Titanium.UI.createTableView();	
	var iniciofiltro=0;
	function filtro()
	{
		switch((tf1.value).toUpperCase())
		{
			case  '': iniciofiltro= 0; 
						break;
			case  'A': iniciofiltro= 0; 
						break;
			case  'B': iniciofiltro= 12; 
						break;
			case  'C': iniciofiltro= 22; 
						break;
			case  'D': iniciofiltro= 50; 
						break;
			case  'E': iniciofiltro= 55; 
						break;
			case  'F': iniciofiltro= 65; 
						break;
			case  'G': iniciofiltro= 67; 
						break;
			case  'H': iniciofiltro= 74; 
						break;
			case  'I': iniciofiltro= 79; 
						break;
			case  'J': iniciofiltro= 88; 
						break;
			case  'L': iniciofiltro= 92; 
						break;
			case  'M': iniciofiltro= 102; 
						break;
			case  'N': iniciofiltro= 115; 
						break;
			case  'O': iniciofiltro= 121; 
						break;
			case  'P': iniciofiltro= 127; 
						break;
			case  'R': iniciofiltro= 145; 
						break;
			case  'S': iniciofiltro= 150; 
						break;
			case  'T': iniciofiltro= 165; 
						break;
			case  'U': iniciofiltro= 180; 
						break;
			case  'V': iniciofiltro= 182; 
						break;
			case  'X': iniciofiltro= 189; 
						break;
			case  'Z': iniciofiltro= 190; 
						break;
		}
		var dataX=[196];
		for(var i=iniciofiltro;i<196;i++)
		{	dataX[i]= data[i]; }
		tableview= Titanium.UI.createTableView({
	    data:dataX,top: 37, width : '100%', height: '92%' });
	view.add(tableview);
	
		//-funciondeltableview--------------------------
	tableview.addEventListener('click',function(e)
	{
	if(choice==0)
	{
	origenvalor = e.index+iniciofiltro;
	cinicio.title =nombres[origenvalor];
	dialog.title = 'Origen: ' + nombres[origenvalor];
	}
	if(choice==1)
	{
	destinovalor = e.index+iniciofiltro;
	cFinal.title =nombres[destinovalor];
	dialog.title = 'Destino: ' + nombres[destinovalor];
	}
	if(choice==2)
	{
	evitadasvalor = e.index+iniciofiltro;
	dialog.title = 'Evitada: ' + nombres[evitadasvalor];
	agregarEvitadas();
	}
	});
	}
	
		tf1.addEventListener('change', function(e)
	{	
		 if((tf1.value).length>1) tf1.value=(tf1.value).substring(2);
		 view.remove(tableview);
		 filtro(); 	
	 });
	
	tf1.addEventListener('click', function(e)
	{	tf1.value='';  });	
}


dialog.addEventListener('click',function(e)
	{
		if(e.index==1)
		{
		if(!Titanium.Network.online){
 			  Titanium.API.info('connection is not ok');
 			  var alertDialog = Titanium.UI.createAlertDialog({
              title: 'Requerido',
              message: 'Te recomendamos estar conectado a internet para poder utilizar esta característica de manera satisfactoria.',
              buttonNames: ['Aceptar']
            });
            alertDialog.show();
		}else{
 		 Titanium.API.info('connection is ok');
 		 
 	Titanium.Geolocation.accuracy = Titanium.Geolocation.ACCURACY_BEST;
	Titanium.Geolocation.distanceFilter = 10;
	Ti.Geolocation.purpose = "Recieve User Location";
	Titanium.Geolocation.getCurrentPosition(function(e) {
    if (e.error) {
        return;
    }
    longitude = e.coords.longitude;
    latitude = e.coords.latitude;
    setTimeout(function(){cercana();},3000);
	actInd.show();
	setTimeout(function(){	actInd.hide(); },2999); 
    });
			};          
		}
	});
	
	function cercana()
{
	var radiocerca,radioactual,estacioncercana;
	radiocerca= Math.pow((Math.pow((latitude-latitudes[0]),2)+Math.pow((longitude-longitudes[0]),2)),.5)*111.11;
	for(i=1;i<195;i++)
	{
	radioactual= Math.pow((Math.pow((latitude-latitudes[i]),2)+Math.pow((longitude-longitudes[i]),2)),.5)*111.11;
	if(radioactual<radiocerca)//{radiocerca=radioactual;estacioncercana=i;}
		{
			var indicadorlinea12=0;
			 var estacioneslinea12= new Array(109,84,77,191,132,57,61,105,8,49,152,100,22,135,175,126,118,192,178,177);
				for(var prov=0; prov<20; prov++)
				{
					if(i == estacioneslinea12[prov]){indicadorlinea12=1;}
				}
				if(indicadorlinea12==0){radiocerca=radioactual;estacioncercana=i;}
				indicadorlinea12=0;
		}
	}
	origenvalor = estacioncercana;
	cinicio.title =nombres[origenvalor];

}


function tiempo_real()
{
 for ( p = 0; p < NumEstaciones; p++)
            {
                for ( q = 0; q < cuantascorrespondencias[p]; q++)
                {
                    distancias[p][q] = distanciasTR[p][q];
                    corresponde[p][q]= correspondeTR[p][q];	
                }
            }
}

function Teoricas()
{
 for ( p = 0; p < NumEstaciones; p++)
            {
                for ( q = 0; q < cuantascorrespondencias[p]; q++)
                {
                    distancias[p][q] = distanciasteoricas[p][q];
                    corresponde[p][q]= correspondeteoricas[p][q];	
                }
            }							
}

//---------------------------------------------------------------------
//----------------------------- Ajustes -------------------------
//---------------------------------------------------------------------
bConfig.addEventListener('click',function(e)
{	
	cinicio.hide();
	cFinal.hide();
	bRuta.hide();
	bConfig.hide();
	bMapa.hide();
	bInfo.hide();
	bLista.hide();
	visible=false;
	
win1.add(cEvita);
win1.add(estacionesevitadas);
win1.add(clean);
win1.add(richtextbox);
win1.add(botonAjustes);
win1.add(bRegresa);

cEvita.show();
estacionesevitadas.show();
clean.show();
richtextbox.show();
botonAjustes.show();
bRegresa.show();
visible=true;
});

function agregarEvitadas()
{
	var flag=0;
	for(j=0;j<numevitadas;j++)
	{
		if(evitadas[j]==evitadasvalor)
		{
		flag=1;
		alert('Ya habias dicho esa estacion');
		}
	}
	if(flag==0)
	{
	evitadas[numevitadas]=evitadasvalor;
	numevitadas= numevitadas+1;
	}
	if(numevitadas==0)
	{
	evitadas[numevitadas]=evitadasvalor;
	}
	mostrarevitadas();
}


bRegresa.addEventListener('click',function(e)
{ ajustesmamalones(); });

var guia=0;
function ajustesmamalones()
{
cEvita.hide();
estacionesevitadas.hide();
clean.hide();
richtextbox.hide();
//rEstadistica.hide();
//rSTR.hide();
botonAjustes.hide();
bRegresa.hide();
visible=false;
	cinicio.show();
	cFinal.show();
	bRuta.show();
	bConfig.show();
	visible=true;
}

function mostrarevitadas()
{
	var nombresevitadas='Estaciones evitadas:  ';
	for(j=0;j<numevitadas;j++)
	{
	aux=nombresevitadas+ ' ' + nombres[evitadas[j]];
	nombresevitadas=aux;
	}
	richtextbox.value =  nombresevitadas;
}

clean.addEventListener('click',function(e)
{
	richtextbox.value =  'Estaciones evitadas: Ninguna.';
	numevitadas=0;
});


var ajustescheck=0;
botonAjustes.addEventListener('click',function(e)
{
	Teoricas();
	if(cEvita.value==true)
		{
		for(i=0;i<numevitadas;i++)
		{
			for(j=0;j<NumEstaciones;j++)
			{
				if(distancias[evitadas[i]][j]>0) {distancias[evitadas[i]][j]=100000;}
			}
		}
		}
	ajustesmamalones();
	bLista.title= '* Ver Lista';
	bMapa.title= '* Ver Mapa';
	bInfo.title= '* Ver Información';
	aux=aux1;
	ajustescheck=1;
	dijkstra();
	ajustescheck=0;
});


//---------------------------------------------------------------------
//----------------------------- Información -------------------------
//---------------------------------------------------------------------
bInfo.addEventListener('click',function(e)
{
	alert(''+aux);
});

//---------------------------------------------------------------------
//----------------------------- Lista -------------------------
//---------------------------------------------------------------------
bLista.addEventListener('click',function(e)
{
	var root = Ti.UI.createView({});
	var view = Ti.UI.createView({});	
	var search = Titanium.UI.createSearchBar({
		width : '100%', height: '100%',
	    showCancel:false});

var data1 = [numtrayecto+1];
var numcasillas=0;
for(i=0;i<numtrayecto+1;i++)
	{
		if(trayecto[i]!=333)data1[numtrayecto-i]={title:nombres[trayecto[i]], color: '#FFF', leftImage: trayecto[i]+'.png', font:{fontSize:16}};
		if(trayecto[i]==333)
		{
			buscardireccion();
			data1[numtrayecto-i]={title:'Transbordo dirección '+ direcciontransbordo, color: '#FF0000', font:{fontSize:20, fontWeight:'bold'}, leftImage: 'caminando.png'};	
		}
	numcasillas=i;
	}
	var partida;
	 for(p=0;p<numlineas;p++)
		 {
			for( q=0;q<estacionesmax;q++)
			{  if(estacionesxlinea[p][q]== origenvalor){	partida=p;	} }
		 }
		 partida=partida+1;

	data1[0]= {title:nombres[origenvalor], color: '#FFF', leftImage: origenvalor+'.png', font:{fontSize:16}};
	
	var table = Titanium.UI.createTableView({
	data:data1,
	top:"0%",
	color: '#FFF',
	});

	view.add(table);
	root.add(view);	
	//dialog.options = null;
	dialog.buttonNames = ['OK'];
	dialog.androidView = root;
	dialog.title = 'Tu ruta';
		dialog.show();	
		
		table.addEventListener('click',function(e)
{
	var ttranscurrido,tfaltante,porcentajeviaje,ccolor1,ccolor2;
	var tindicacolor= new Array('Rosa','Azul','Verde Olivo','Cian','Amarillo','Rojo','Naranja','Verde','Café','Morado','Verde/Gris','Dorado');
	
	if(trayecto[numcasillas-e.index]==333)
	{
		for(p=0;p<numlineas;p++)
	{
		for(q=0;q<numestacionesxlinea[p];q++)
		{
			if(estacionesxlinea[p][q]==trayecto[numcasillas-e.index+1]){ttranscurrido=p+1;}
			if(estacionesxlinea[p][q]==trayecto[numcasillas-e.index-1]){tfaltante=p+1;}
		}
	}
	i=numcasillas-e.index;
	buscardireccion();
	ccolor1=tindicacolor[ttranscurrido-1];
	ccolor2=tindicacolor[tfaltante-1];
	if(tfaltante==10) tfaltante='A';
	if(tfaltante==11) tfaltante='B';
	if(ttranscurrido==10) ttranscurrido='A';
	if(ttranscurrido==11) ttranscurrido='B';
	alert("Cambia de la linea "+ttranscurrido+" color "+ccolor1+" a  la linea "+tfaltante+" color "+ccolor2+" en dirección "+ direcciontransbordo);
		
	}
	else{
	i=0;
	do{
		i=i+1;
		ttranscurrido=i-1;}
	while(trayecto[numcasillas-e.index]!=actual[i-1])
	tfaltante=(peso[recorridototal]-peso[ttranscurrido]);
	porcentajeviaje= Math.floor((100/peso[recorridototal])*peso[ttranscurrido]);
	
	ttranscurrido= peso[ttranscurrido]/60;
	ttranscurrido=Math.floor(ttranscurrido);
	tfaltante= (horas*60 + minutos)-ttranscurrido;
	if(porcentajeviaje>=99) porcentajeviaje=100;
	alert("Estación: "+nombres[trayecto[numcasillas-e.index]]+"\nTiempo transcurrido: "+ttranscurrido+" minutos\nTiempo restante: "+tfaltante+" minutos\nPorcentaje del viaje: "+porcentajeviaje+ "%");
	}
});		
});


function buscardireccion()
{
	var signo1=0; var signo2=0; var argumento=0,sin=0;
	for(p=0;p<numlineas;p++)
	{
		for(q=0;q<numestacionesxlinea[p];q++)
		{
			if(trayecto[i-2]==estacionesxlinea[p][q]) {signo2=q;		}
			if(trayecto[i-1]==estacionesxlinea[p][q]) {signo1=q;argumento=p; if(i==1){sin=1;}}
		}
	}
	if((signo1-signo2)>0) direcciontransbordo= nombres[estacionesxlinea[argumento][0]];
	if((signo1-signo2)<0) direcciontransbordo= nombres[estacionesxlinea[argumento][numestacionesxlinea[argumento]-1]];
	if(sin==1)
	{
		if(signo1=0) direcciontransbordo = nombres[estacionesxlinea[argumento][0]];
		else{direcciontransbordo=nombres[estacionesxlinea[argumento][numestacionesxlinea[argumento]-1]]; }
		
	}
	
}
//---------------------------------------------------------------------
//----------------------------- Mapa -------------------------
//---------------------------------------------------------------------
bMapa.addEventListener('click',function(e)
{	
		var root = Ti.UI.createView({});
		var view = Ti.UI.createView({});	
		var mapview = Titanium.Map.createView();
mapview.top = 0;
mapview.width = Titanium.Platform.displayCaps.platformWidth;
mapview.right = 0;
mapview.height = Titanium.Platform.displayCaps.platformHeight;
mapview.bottom = 0;
mapview.region = {
	latitude:latitudes[trayecto[numtrayecto]],
	longitude: longitudes[trayecto[numtrayecto]],
	latitudeDelta: 0.03,
	longitudeDelta: 0.03	
};
view.add(mapview);

	
	var annotation= new Array(100);
for(i=0;i<numtrayecto+1;i++)
{
	if(trayecto[i]!=333)
	{
	annotation[i]= Titanium.Map.createAnnotation({
	latitude: latitudes[trayecto[i]],
    longitude: longitudes[trayecto[i]],
	title: nombres[trayecto[i]],
	pinImage: trayecto[i]+'.png',
    //leftButton: 'linea'+dan+'.png'
    //pinImage: estacionesxlinea[j][i]+'.png',
    leftButton: trayecto[i]+'.png'
		});	
		
	var route  = Titanium.Map.createRoute({
	color:'#000', width:7, length:guia
	});

var routePoints = [];
var classicWay = false;

if (classicWay) {
mapview.newRoute(route);
mapview.addRoutePoint(Titanium.Map.createPoint({latitude:annotation[i].latitude,longitude:annotation[i].longitude}));
mapview.updateRoutes();
} else {
//Routes detail
mapview.newRoute(route);
routePoints.push(Titanium.Map.createPoint({latitude:annotation[i].latitude,longitude:annotation[i].longitude}));

//We add all points at a time
mapview.addRoutePoints(routePoints);
mapview.addAnnotationLight(annotation[i]);	
}	
	}	
}

mapview.updateAnnotations();						
		root.add(view);	
		dialog.androidView = root;
		dialog.buttonNames = ['OK'];
		dialog.title = 'Tu Mapa';
		dialog.show();	
});


var correspondeTR= new Array(NumEstaciones); var distanciasTR= new Array(NumEstaciones); var correspondeteoricas= new Array(NumEstaciones); var distanciasteoricas= new Array(NumEstaciones);
correspondeTR[0]= new Array(134,163);  distanciasTR[0]= new Array(165,160);    //Acatitla:  Peñón Viejo  Santa Marta  
correspondeTR[1]= new Array(4,62);  distanciasTR[1]= new Array(110,120);    //Aculco:  Apatlaco  Escuadrón 201  
correspondeTR[2]= new Array(24,131);  distanciasTR[2]= new Array(145,175);    //Agrícola Oriental:  Canal de San Juan  Pantitlán Linea A  
correspondeTR[3]= new Array(16,194);  distanciasTR[3]= new Array(105,120);    //Allende:  Bellas Artes Linea 2  Zócalo  
correspondeTR[4]= new Array(1,86);  distanciasTR[4]= new Array(110,135);    //Apatlaco:  Aculco  Iztacalco  
correspondeTR[5]= new Array(23,59);  distanciasTR[5]= new Array(160,205);    //Aquiles Serdán:  Camarones  El Rosario Linea 7  
correspondeTR[6]= new Array(56,123);  distanciasTR[6]= new Array(135,150);    //Aragón:  Eduardo Molina  Oceanía Linea 5  
correspondeTR[7]= new Array(8,62,87);  distanciasTR[7]= new Array(100000,170,120);    //Atlalilco Linea 8:  Atlalilco Linea 12  Escuadrón 201  Iztapalapa  
correspondeTR[8]= new Array(7,49,105);  distanciasTR[8]= new Array(100000,100000,100000);    //Atlalilco Linea 12:  Atlalilco Linea 8  Culhuacan  Mexicaltzingo  
correspondeTR[9]= new Array(40,139);  distanciasTR[9]= new Array(160,125);    //Auditorio:  Constituyentes  Polanco  
correspondeTR[10]= new Array(81,94);  distanciasTR[10]= new Array(140,135);    //Autobuses del Norte:  Instituto del Petróleo Linea 5  La Raza Linea 5  
correspondeTR[11]= new Array(65,176);  distanciasTR[11]= new Array(150,145);    //Azcapotzalco:  Ferrería  Tezozomoc  
correspondeTR[12]= new Array(20,111);  distanciasTR[12]= new Array(115,125);    //Balbuena:  Boulevard Puerto Aéreo  Moctezuma  
correspondeTR[13]= new Array(14,47,150);  distanciasTR[13]= new Array(260,110,115);    //Balderas Linea 1:  Balderas Linea 3  Cuauhtémoc  Salto del Agua Linea 1  
correspondeTR[14]= new Array(13,91,117);  distanciasTR[14]= new Array(210,135,130);    //Balderas Linea 3:  Balderas Linea 1  Juárez  Niños Héroes  
correspondeTR[15]= new Array(108,100000);  distanciasTR[15]= new Array(100,100000);    //Barranca del Muerto:  Mixcoac Linea 7  
correspondeTR[16]= new Array(3,17,75);  distanciasTR[16]= new Array(105,390,105);    //Bellas Artes Linea 2:  Allende  Bellas Artes Linea 8  Hidalgo Linea 2  
correspondeTR[17]= new Array(16,67,157);  distanciasTR[17]= new Array(385,195,115);    //Bellas Artes Linea 8:  Bellas Artes Linea 2  Garibaldi / Lagunilla Linea 8  San Juan de Letrán  
correspondeTR[18]= new Array(41,170);  distanciasTR[18]= new Array(125,135);    //Bondojito:  Consulado Linea 4  Talismán  
correspondeTR[19]= new Array(52,186);  distanciasTR[19]= new Array(135,120);    //Bosque de Aragón:  Deportivo Oceanía  Villa de Aragón  
correspondeTR[20]= new Array(12,70);  distanciasTR[20]= new Array(115,120);    //Boulevard Puerto Aéreo:  Balbuena  Gómez Farías  
correspondeTR[21]= new Array(73,100000);  distanciasTR[21]= new Array(90,100000);    //Buenavista:  Guerrero Linea B  
correspondeTR[22]= new Array(100,135);  distanciasTR[22]= new Array(100000,100000);    //Calle 11:  Lomas Estrella  Periferico Oriente  
correspondeTR[23]= new Array(5,146);  distanciasTR[23]= new Array(160,130);    //Camarones:  Aquiles Serdán  Refinería  
correspondeTR[24]= new Array(2,172);  distanciasTR[24]= new Array(150,170);    //Canal de San Juan:  Agrícola Oriental  Tepalcates  
correspondeTR[25]= new Array(41,112);  distanciasTR[25]= new Array(140,125);    //Canal del Norte:  Consulado Linea 4  Morelos Linea 4  
correspondeTR[26]= new Array(27,104,158);  distanciasTR[26]= new Array(660,125,140);    //Candelaria Linea 1:  Candelaria Linea 4  Merced  San Lázaro Linea 1  
correspondeTR[27]= new Array(26,66,112);  distanciasTR[27]= new Array(300,120,145);    //Candelaria Linea 4:  Candelaria Linea 1  Fray Servando  Morelos Linea 4  
correspondeTR[28]= new Array(29,63,78);  distanciasTR[28]= new Array(460,155,140);    //Centro Médico Linea 3:  Centro Médico Linea 9  Etiopía / Plaza de la Transparencia  Hospital General  
correspondeTR[29]= new Array(28,35,98);  distanciasTR[29]= new Array(480,155,155);    //Centro Médico Linea 9:  Centro Médico Linea 3  Chilpancingo  Lázaro Cárdenas  
correspondeTR[30]= new Array(87,180);  distanciasTR[30]= new Array(120,135);    //Cerro de la Estrella:  Iztapalapa  UAM-I  
correspondeTR[31]= new Array(32,33,154,185);  distanciasTR[31]= new Array(480,560,115,125);    //Chabacano Linea 2:  Chabacano Linea 8  Chabacano Linea 9  San Antonio Abad  Viaducto  
correspondeTR[32]= new Array(31,33,95,121);  distanciasTR[32]= new Array(560,470,135,145);    //Chabacano Linea 8:  Chabacano Linea 2  Chabacano Linea 9  La Viga  Obrera  
correspondeTR[33]= new Array(31,32,89,98);  distanciasTR[33]= new Array(400,525,165,150);    //Chabacano Linea 9:  Chabacano Linea 2  Chabacano Linea 8  Jamaica Linea 9  Lázaro Cárdenas  
correspondeTR[34]= new Array(90,164);  distanciasTR[34]= new Array(140,110);    //Chapultepec:  Juanacatlán  Sevilla  
correspondeTR[35]= new Array(29,133);  distanciasTR[35]= new Array(155,135);    //Chilpancingo:  Centro Médico Linea 9  Patriotismo  
correspondeTR[36]= new Array(138,100000);  distanciasTR[36]= new Array(115,100000);    //Ciudad Azteca:  Plaza Aragón  
correspondeTR[37]= new Array(144,184);  distanciasTR[37]= new Array(125,150);    //Ciudad Deportiva:  Puebla  Velódromo  
correspondeTR[38]= new Array(119,141);  distanciasTR[38]= new Array(110,105);    //Colegio Militar:  Normal  Popotla  
correspondeTR[39]= new Array(180,100000);  distanciasTR[39]= new Array(145,100000);    //Constitución de 1917:  UAM-I  
correspondeTR[40]= new Array(9,168);  distanciasTR[40]= new Array(160,135);    //Constituyentes:  Auditorio  Tacubaya Linea 7  
correspondeTR[41]= new Array(18,25,42);  distanciasTR[41]= new Array(125,140,780);    //Consulado Linea 4:  Bondojito  Canal del Norte  Consulado Linea 5  
correspondeTR[42]= new Array(41,56,182);  distanciasTR[42]= new Array(740,135,130);    //Consulado Linea 5:  Consulado Linea 4  Eduardo Molina  Valle Gómez  
correspondeTR[43]= new Array(106,181);  distanciasTR[43]= new Array(170,200);    //Copilco:  Miguel Angel de Quevedo  Universidad  
correspondeTR[44]= new Array(188,190);  distanciasTR[44]= new Array(135,150);    //Coyoacán:  Viveros / Derechos Humanos  Zapata Linea 3  
correspondeTR[45]= new Array(86,162);  distanciasTR[45]= new Array(135,150);    //Coyuya:  Iztacalco  Santa Anita Linea 8  
correspondeTR[46]= new Array(127,100000);  distanciasTR[46]= new Array(175,100000);    //Cuatro Caminos:  Panteones  
correspondeTR[47]= new Array(13,83);  distanciasTR[47]= new Array(110,130);    //Cuauhtémoc:  Balderas Linea 1  Insurgentes  
correspondeTR[48]= new Array(141,165);  distanciasTR[48]= new Array(110,120);    //Cuitlahuac:  Popotla  Tacuba Linea 2  
correspondeTR[49]= new Array(8,152);  distanciasTR[49]= new Array(100000,100000);    //Culhuacan:  Atlalilco Linea 12  San Andres Tomatlan  
correspondeTR[50]= new Array(51,80,143);  distanciasTR[50]= new Array(690,190,150);    //Deportivo 18 de Marzo Linea 3:  Deportivo 18 de Marzo Linea 6  Indios Verdes  Potrero  
correspondeTR[51]= new Array(50,96,99);  distanciasTR[51]= new Array(455,110,140);    //Deportivo 18 de Marzo Linea 6:  Deportivo 18 de Marzo Linea 3  La Villa-Basílica  Lindavista  
correspondeTR[52]= new Array(19,124);  distanciasTR[52]= new Array(135,125);    //Deportivo Oceanía:  Bosque de Aragón  Oceanía Linea B  
correspondeTR[53]= new Array(64,190);  distanciasTR[53]= new Array(125,140);    //División del Norte:  Eugenia  Zapata Linea 3  
correspondeTR[54]= new Array(121,151);  distanciasTR[54]= new Array(125,125);    //Doctores:  Obrera  Salto del Agua Linea 8  
correspondeTR[55]= new Array(114,125);  distanciasTR[55]= new Array(155,105);    //Ecatepec:  Muzquiz  Olímpica  
correspondeTR[56]= new Array(6,42);  distanciasTR[56]= new Array(130,135);    //Eduardo Molina:  Aragón  Consulado Linea 5  
correspondeTR[57]= new Array(61,132);  distanciasTR[57]= new Array(100000,100000);    //Eje Central:  Ermita Linea 12  Parque de los Venados  
correspondeTR[58]= new Array(59,176);  distanciasTR[58]= new Array(60,160);    //El Rosario Linea 6:  El Rosario Linea 7  Tezozomoc  
correspondeTR[59]= new Array(5,58);  distanciasTR[59]= new Array(170,60);    //El Rosario Linea 7:  Aquiles Serdán  El Rosario Linea 6  
correspondeTR[60]= new Array(61,69,142);  distanciasTR[60]= new Array(100000,130,120);    //Ermita Linea 2:  Ermita Linea 12  General Anaya  Portales  
correspondeTR[61]= new Array(57,60,105);  distanciasTR[61]= new Array(100000,100000,100000);    //Ermita Linea 12:  Eje Central  Ermita Linea 2  Mexicaltzingo  
correspondeTR[62]= new Array(1,7);  distanciasTR[62]= new Array(120,170);    //Escuadrón 201:  Aculco  Atlalilco Linea 8  
correspondeTR[63]= new Array(28,64);  distanciasTR[63]= new Array(170,135);    //Etiopía / Plaza de la Transparencia:  Centro Médico Linea 3  Eugenia  
correspondeTR[64]= new Array(53,63);  distanciasTR[64]= new Array(125,135);    //Eugenia:  División del Norte  Etiopía / Plaza de la Transparencia  
correspondeTR[65]= new Array(11,120);  distanciasTR[65]= new Array(150,140);    //Ferrería:  Azcapotzalco  Norte 45  
correspondeTR[66]= new Array(27,88);  distanciasTR[66]= new Array(120,125);    //Fray Servando:  Candelaria Linea 4  Jamaica Linea 4  
correspondeTR[67]= new Array(17,68);  distanciasTR[67]= new Array(95,280);    //Garibaldi / Lagunilla Linea 8:  Bellas Artes Linea 8  Garibaldi / Lagunilla Linea B  
correspondeTR[68]= new Array(67,73,97);  distanciasTR[68]= new Array(60,130,115);    //Garibaldi / Lagunilla Linea B:  Garibaldi / Lagunilla Linea 8  Guerrero Linea B  Lagunilla  
correspondeTR[69]= new Array(60,171);  distanciasTR[69]= new Array(125,215);    //General Anaya:  Ermita Linea 2  Tasqueña  
correspondeTR[70]= new Array(20,193);  distanciasTR[70]= new Array(140,140);    //Gómez Farías:  Boulevard Puerto Aéreo  Zaragoza  
correspondeTR[71]= new Array(134,172);  distanciasTR[71]= new Array(200,180);    //Guelatao:  Peñón Viejo  Tepalcates  
correspondeTR[72]= new Array(73,76,179);  distanciasTR[72]= new Array(270,150,180);    //Guerrero Linea 3:  Guerrero Linea B  Hidalgo Linea 3  Tlatelolco  
correspondeTR[73]= new Array(21,68,72);  distanciasTR[73]= new Array(220,160,270);    //Guerrero Linea B:  Buenavista  Garibaldi / Lagunilla Linea B  Guerrero Linea 3  
correspondeTR[74]= new Array(129,174);  distanciasTR[74]= new Array(220,160);    //Hangares:  Pantitlán Linea 5  Terminal Aérea  
correspondeTR[75]= new Array(16,76,147);  distanciasTR[75]= new Array(140,300,150);    //Hidalgo Linea 2:  Bellas Artes Linea 2  Hidalgo Linea 3  Revolución  
correspondeTR[76]= new Array(72,75,91);  distanciasTR[76]= new Array(140,300,140);    //Hidalgo Linea 3:  Guerrero Linea 3  Hidalgo Linea 2  Juárez  
correspondeTR[77]= new Array(84,191);  distanciasTR[77]= new Array(100000,100000);    //Hospital 20 de Noviembre:  Insurgentes Sur  Zapata Linea 12  
correspondeTR[78]= new Array(28,117);  distanciasTR[78]= new Array(160,140);    //Hospital General:  Centro Médico Linea 3  Niños Héroes  
correspondeTR[79]= new Array(116,148);  distanciasTR[79]= new Array(180,130);    //Impulsora:  Nezahualcóyotl  Río de los Remedios  
correspondeTR[80]= new Array(50,100000);  distanciasTR[80]= new Array(180,100000);    //Indios Verdes:  Deportivo 18 de Marzo Linea 3  
correspondeTR[81]= new Array(10,82,140);  distanciasTR[81]= new Array(135,960,160);    //Instituto del Petróleo Linea 5:  Autobuses del Norte  Instituto del Petróleo Linea 6  Politécnico  
correspondeTR[82]= new Array(81,99,183);  distanciasTR[82]= new Array(960,170,130);    //Instituto del Petróleo Linea 6:  Instituto del Petróleo Linea 5  Lindavista  Vallejo  
correspondeTR[83]= new Array(47,164);  distanciasTR[83]= new Array(130,120);    //Insurgentes:  Cuauhtémoc  Sevilla  
correspondeTR[84]= new Array(77,109);  distanciasTR[84]= new Array(100000,100000);    //Insurgentes Sur:  Hospital 20 de Noviembre  Mixcoac Linea 12  
correspondeTR[85]= new Array(136,150);  distanciasTR[85]= new Array(120,120);    //Isabel la Católica:  Pino Suárez Linea 1  Salto del Agua Linea 1  
correspondeTR[86]= new Array(4,45);  distanciasTR[86]= new Array(140,140);    //Iztacalco:  Apatlaco  Coyuya  
correspondeTR[87]= new Array(7,30);  distanciasTR[87]= new Array(140,140);    //Iztapalapa:  Atlalilco Linea 8  Cerro de la Estrella  
correspondeTR[88]= new Array(66,89,161);  distanciasTR[88]= new Array(130,639,160);    //Jamaica Linea 4:  Fray Servando  Jamaica Linea 9  Santa Anita Linea 4  
correspondeTR[89]= new Array(33,88,110);  distanciasTR[89]= new Array(180,876,140);    //Jamaica Linea 9:  Chabacano Linea 9  Jamaica Linea 4  Mixiuhca  
correspondeTR[90]= new Array(34,167);  distanciasTR[90]= new Array(170,180);    //Juanacatlán:  Chapultepec  Tacubaya Linea 1  
correspondeTR[91]= new Array(14,76);  distanciasTR[91]= new Array(135,120);    //Juárez:  Balderas Linea 3  Hidalgo Linea 3  
correspondeTR[92]= new Array(101,100000);  distanciasTR[92]= new Array(200,100000);    //La Paz:  Los Reyes  
correspondeTR[93]= new Array(94,143,179);  distanciasTR[93]= new Array(822,180,205);    //La Raza Linea 3:  La Raza Linea 5  Potrero  Tlatelolco  
correspondeTR[94]= new Array(10,93,107);  distanciasTR[94]= new Array(145,880,130);    //La Raza Linea 5:  Autobuses del Norte  La Raza Linea 3  Misterios  
correspondeTR[95]= new Array(32,162);  distanciasTR[95]= new Array(125,125);    //La Viga:  Chabacano Linea 8  Santa Anita Linea 8  
correspondeTR[96]= new Array(51,103);  distanciasTR[96]= new Array(130,180);    //La Villa-Basílica:  Deportivo 18 de Marzo Linea 6  Martín Carrera Linea 6  
correspondeTR[97]= new Array(68,173);  distanciasTR[97]= new Array(120,120);    //Lagunilla:  Garibaldi / Lagunilla Linea B  Tepito  
correspondeTR[98]= new Array(29,33);  distanciasTR[98]= new Array(160,140);    //Lázaro Cárdenas:  Centro Médico Linea 9  Chabacano Linea 9  
correspondeTR[99]= new Array(51,82);  distanciasTR[99]= new Array(140,160);    //Lindavista:  Deportivo 18 de Marzo Linea 6  Instituto del Petróleo Linea 6  
correspondeTR[100]= new Array(22,152);  distanciasTR[100]= new Array(100000,100000);    //Lomas Estrella:  Calle 11  San Andres Tomatlan  
correspondeTR[101]= new Array(92,163);  distanciasTR[101]= new Array(190,160);    //Los Reyes:  La Paz  Santa Marta  
correspondeTR[102]= new Array(103,170);  distanciasTR[102]= new Array(720,130);    //Martín Carrera Linea 4:  Martín Carrera Linea 6  Talismán  
correspondeTR[103]= new Array(96,102);  distanciasTR[103]= new Array(160,720);    //Martín Carrera Linea 6:  La Villa-Basílica  Martín Carrera Linea 4  
correspondeTR[104]= new Array(26,136);  distanciasTR[104]= new Array(130,150);    //Merced:  Candelaria Linea 1  Pino Suárez Linea 1  
correspondeTR[105]= new Array(8,61);  distanciasTR[105]= new Array(100000,100000);    //Mexicaltzingo:  Atlalilco Linea 12  Ermita Linea 12  
correspondeTR[106]= new Array(43,188);  distanciasTR[106]= new Array(160,140);    //Miguel Angel de Quevedo:  Copilco  Viveros / Derechos Humanos  
correspondeTR[107]= new Array(94,182);  distanciasTR[107]= new Array(130,130);    //Misterios:  La Raza Linea 5  Valle Gómez  
correspondeTR[108]= new Array(15,109,153);  distanciasTR[108]= new Array(180,100000,170);    //Mixcoac Linea 7:  Barranca del Muerto  Mixcoac Linea 12  San Antonio  
correspondeTR[109]= new Array(84,108);  distanciasTR[109]= new Array(100000,100000);    //Mixcoac Linea 12:  Insurgentes Sur  Mixcoac Linea 7  
correspondeTR[110]= new Array(89,184);  distanciasTR[110]= new Array(140,140);    //Mixiuhca:  Jamaica Linea 9  Velódromo  
correspondeTR[111]= new Array(12,158);  distanciasTR[111]= new Array(130,120);    //Moctezuma:  Balbuena  San Lázaro Linea 1  
correspondeTR[112]= new Array(25,27,113);  distanciasTR[112]= new Array(145,145,570);    //Morelos Linea 4:  Canal del Norte  Candelaria Linea 4  Morelos Linea B  
correspondeTR[113]= new Array(112,159,173);  distanciasTR[113]= new Array(660,180,125);    //Morelos Linea B:  Morelos Linea 4  San Lázaro Linea B  Tepito  
correspondeTR[114]= new Array(55,148);  distanciasTR[114]= new Array(180,145);    //Muzquiz:  Ecatepec  Río de los Remedios  
correspondeTR[115]= new Array(142,187);  distanciasTR[115]= new Array(130,130);    //Nativitas:  Portales  Villa de Cortés  
correspondeTR[116]= new Array(79,186);  distanciasTR[116]= new Array(180,180);    //Nezahualcóyotl:  Impulsora  Villa de Aragón  
correspondeTR[117]= new Array(14,78);  distanciasTR[117]= new Array(130,130);    //Niños Héroes:  Balderas Linea 3  Hospital General  
correspondeTR[118]= new Array(126,192);  distanciasTR[118]= new Array(100000,100000);    //Nopalera:  Olivos  Zapotitlan  
correspondeTR[119]= new Array(38,155);  distanciasTR[119]= new Array(130,130);    //Normal:  Colegio Militar  San Cosme  
correspondeTR[120]= new Array(65,183);  distanciasTR[120]= new Array(155,130);    //Norte 45:  Ferrería  Vallejo  
correspondeTR[121]= new Array(32,54);  distanciasTR[121]= new Array(150,120);    //Obrera:  Chabacano Linea 8  Doctores  
correspondeTR[122]= new Array(167,100000);  distanciasTR[122]= new Array(140,100000);    //Observatorio:  Tacubaya Linea 1  
correspondeTR[123]= new Array(6,124,174);  distanciasTR[123]= new Array(160,420,180);    //Oceanía Linea 5:  Aragón  Oceanía Linea B  Terminal Aérea  
correspondeTR[124]= new Array(52,123,149);  distanciasTR[124]= new Array(170,540,160);    //Oceanía Linea B:  Deportivo Oceanía  Oceanía Linea 5  Romero Rubio  
correspondeTR[125]= new Array(55,138);  distanciasTR[125]= new Array(140,140);    //Olímpica:  Ecatepec  Plaza Aragón  
correspondeTR[126]= new Array(118,175);  distanciasTR[126]= new Array(100000,100000);    //Olivos:  Nopalera  Tezonco  
correspondeTR[127]= new Array(46,165);  distanciasTR[127]= new Array(160,180);    //Panteones:  Cuatro Caminos  Tacuba Linea 2  
correspondeTR[128]= new Array(129,130,131,193);  distanciasTR[128]= new Array(750,60,60,120);    //Pantitlán Linea 1:  Pantitlán Linea 5  Pantitlán Linea 9  Pantitlán Linea A  Zaragoza  
correspondeTR[129]= new Array(74,128,130,131);  distanciasTR[129]= new Array(180,60,60,60);    //Pantitlán Linea 5:  Hangares  Pantitlán Linea 1  Pantitlán Linea 9  Pantitlán Linea A  
correspondeTR[130]= new Array(128,129,131,144);  distanciasTR[130]= new Array(60,60,60,170);    //Pantitlán Linea 9:  Pantitlán Linea 1  Pantitlán Linea 5  Pantitlán Linea A  Puebla  
correspondeTR[131]= new Array(2,128,129,130);  distanciasTR[131]= new Array(180,60,60,60);    //Pantitlán Linea A:  Agrícola Oriental  Pantitlán Linea 1  Pantitlán Linea 5  Pantitlán Linea 9  
correspondeTR[132]= new Array(57,191);  distanciasTR[132]= new Array(100000,100000);    //Parque de los Venados:  Eje Central  Zapata Linea 12  
correspondeTR[133]= new Array(35,169);  distanciasTR[133]= new Array(165,180);    //Patriotismo:  Chilpancingo  Tacubaya Linea 9  
correspondeTR[134]= new Array(0,71);  distanciasTR[134]= new Array(200,240);    //Peñón Viejo:  Acatitla  Guelatao  
correspondeTR[135]= new Array(22,175);  distanciasTR[135]= new Array(100000,100000);    //Periferico Oriente:  Calle 11  Tezonco  
correspondeTR[136]= new Array(85,104,137);  distanciasTR[136]= new Array(140,140,325);    //Pino Suárez Linea 1:  Isabel la Católica  Merced  Pino Suárez Linea 2  
correspondeTR[137]= new Array(136,154,194);  distanciasTR[137]= new Array(300,150,140);    //Pino Suárez Linea 2:  Pino Suárez Linea 1  San Antonio Abad  Zócalo  
correspondeTR[138]= new Array(36,125);  distanciasTR[138]= new Array(140,125);    //Plaza Aragón:  Ciudad Azteca  Olímpica  
correspondeTR[139]= new Array(9,156);  distanciasTR[139]= new Array(140,140);    //Polanco:  Auditorio  San Joaquín  
correspondeTR[140]= new Array(81,100000);  distanciasTR[140]= new Array(150,100000);    //Politécnico:  Instituto del Petróleo Linea 5  
correspondeTR[141]= new Array(38,48);  distanciasTR[141]= new Array(120,120);    //Popotla:  Colegio Militar  Cuitlahuac  
correspondeTR[142]= new Array(60,115);  distanciasTR[142]= new Array(140,140);    //Portales:  Ermita Linea 2  Nativitas  
correspondeTR[143]= new Array(50,93);  distanciasTR[143]= new Array(160,160);    //Potrero:  Deportivo 18 de Marzo Linea 3  La Raza Linea 3  
correspondeTR[144]= new Array(37,130);  distanciasTR[144]= new Array(140,200);    //Puebla:  Ciudad Deportiva  Pantitlán Linea 9  
correspondeTR[145]= new Array(149,159);  distanciasTR[145]= new Array(140,140);    //R. Flores Magón:  Romero Rubio  San Lázaro Linea B  
correspondeTR[146]= new Array(23,166);  distanciasTR[146]= new Array(150,170);    //Refinería:  Camarones  Tacuba Linea 7  
correspondeTR[147]= new Array(75,155);  distanciasTR[147]= new Array(140,140);    //Revolución:  Hidalgo Linea 2  San Cosme  
correspondeTR[148]= new Array(79,114);  distanciasTR[148]= new Array(140,140);    //Río de los Remedios:  Impulsora  Muzquiz  
correspondeTR[149]= new Array(124,145);  distanciasTR[149]= new Array(140,140);    //Romero Rubio:  Oceanía Linea B  R. Flores Magón  
correspondeTR[150]= new Array(13,85,151);  distanciasTR[150]= new Array(120,135,474);    //Salto del Agua Linea 1:  Balderas Linea 1  Isabel la Católica  Salto del Agua Linea 8  
correspondeTR[151]= new Array(54,150,157);  distanciasTR[151]= new Array(138,385,542);    //Salto del Agua Linea 8:  Doctores  Salto del Agua Linea 1  San Juan de Letrán  
correspondeTR[152]= new Array(49,100);  distanciasTR[152]= new Array(100000,100000);    //San Andres Tomatlan:  Culhuacan  Lomas Estrella  
correspondeTR[153]= new Array(108,160);  distanciasTR[153]= new Array(120,120);    //San Antonio:  Mixcoac Linea 7  San Pedro de los Pinos  
correspondeTR[154]= new Array(31,137);  distanciasTR[154]= new Array(120,132);    //San Antonio Abad:  Chabacano Linea 2  Pino Suárez Linea 2  
correspondeTR[155]= new Array(119,147);  distanciasTR[155]= new Array(120,120);    //San Cosme:  Normal  Revolución  
correspondeTR[156]= new Array(139,166);  distanciasTR[156]= new Array(138,174);    //San Joaquín:  Polanco  Tacuba Linea 7  
correspondeTR[157]= new Array(17,151);  distanciasTR[157]= new Array(120,120);    //San Juan de Letrán:  Bellas Artes Linea 8  Salto del Agua Linea 8  
correspondeTR[158]= new Array(26,111,159);  distanciasTR[158]= new Array(138,126,510);    //San Lázaro Linea 1:  Candelaria Linea 1  Moctezuma  San Lázaro Linea B  
correspondeTR[159]= new Array(113,145,158);  distanciasTR[159]= new Array(180,135,361);    //San Lázaro Linea B:  Morelos Linea B  R. Flores Magón  San Lázaro Linea 1  
correspondeTR[160]= new Array(153,168);  distanciasTR[160]= new Array(120,735);    //San Pedro de los Pinos:  San Antonio  Tacubaya Linea 7  
correspondeTR[161]= new Array(88,162);  distanciasTR[161]= new Array(120,549);    //Santa Anita Linea 4:  Jamaica Linea 4  Santa Anita Linea 8  
correspondeTR[162]= new Array(45,95,161);  distanciasTR[162]= new Array(140,120,60);    //Santa Anita Linea 8:  Coyuya  La Viga  Santa Anita Linea 4  
correspondeTR[163]= new Array(0,101);  distanciasTR[163]= new Array(168,189);    //Santa Marta:  Acatitla  Los Reyes  
correspondeTR[164]= new Array(34,83);  distanciasTR[164]= new Array(120,120);    //Sevilla:  Chapultepec  Insurgentes  
correspondeTR[165]= new Array(48,127,166);  distanciasTR[165]= new Array(126,180,853);    //Tacuba Linea 2:  Cuitlahuac  Panteones  Tacuba Linea 7  
correspondeTR[166]= new Array(146,156,165);  distanciasTR[166]= new Array(180,180,540);    //Tacuba Linea 7:  Refinería  San Joaquín  Tacuba Linea 2  
correspondeTR[167]= new Array(90,122,168,169);  distanciasTR[167]= new Array(135,180,753,568);    //Tacubaya Linea 1:  Juanacatlán  Observatorio  Tacubaya Linea 7  Tacubaya Linea 9  
correspondeTR[168]= new Array(40,160,167,169);  distanciasTR[168]= new Array(130,135,360,548);    //Tacubaya Linea 7:  Constituyentes  San Pedro de los Pinos  Tacubaya Linea 1  Tacubaya Linea 9  
correspondeTR[169]= new Array(133,167,168);  distanciasTR[169]= new Array(130,433,690);    //Tacubaya Linea 9:  Patriotismo  Tacubaya Linea 1  Tacubaya Linea 7  
correspondeTR[170]= new Array(18,102);  distanciasTR[170]= new Array(130,180);    //Talismán:  Bondojito  Martín Carrera Linea 4  
correspondeTR[171]= new Array(69,100000);  distanciasTR[171]= new Array(141,100000);    //Tasqueña:  General Anaya  
correspondeTR[172]= new Array(24,71);  distanciasTR[172]= new Array(180,180);    //Tepalcates:  Canal de San Juan  Guelatao  
correspondeTR[173]= new Array(97,113);  distanciasTR[173]= new Array(120,120);    //Tepito:  Lagunilla  Morelos Linea B  
correspondeTR[174]= new Array(74,123);  distanciasTR[174]= new Array(138,180);    //Terminal Aérea:  Hangares  Oceanía Linea 5  
correspondeTR[175]= new Array(126,135);  distanciasTR[175]= new Array(100000,100000);    //Tezonco:  Olivos  Periferico Oriente  
correspondeTR[176]= new Array(11,58);  distanciasTR[176]= new Array(140,250);    //Tezozomoc:  Azcapotzalco  El Rosario Linea 6  
correspondeTR[177]= new Array(178,100000);  distanciasTR[177]= new Array(100000);    //Tlahuac:  Tlaltenco  
correspondeTR[178]= new Array(177,192);  distanciasTR[178]= new Array(100000,100000);    //Tlaltenco:  Tlahuac  Zapotitlan  
correspondeTR[179]= new Array(72,93);  distanciasTR[179]= new Array(130,180);    //Tlatelolco:  Guerrero Linea 3  La Raza Linea 3  
correspondeTR[180]= new Array(30,39);  distanciasTR[180]= new Array(135,135);    //UAM-I:  Cerro de la Estrella  Constitución de 1917  
correspondeTR[181]= new Array(43,100000);  distanciasTR[181]= new Array(171,100000);    //Universidad:  Copilco  
correspondeTR[182]= new Array(42,107);  distanciasTR[182]= new Array(120,130);    //Valle Gómez:  Consulado Linea 5  Misterios  
correspondeTR[183]= new Array(82,120);  distanciasTR[183]= new Array(126,125);    //Vallejo:  Instituto del Petróleo Linea 6  Norte 45  
correspondeTR[184]= new Array(37,110);  distanciasTR[184]= new Array(168,126);    //Velódromo:  Ciudad Deportiva  Mixiuhca  
correspondeTR[185]= new Array(31,189);  distanciasTR[185]= new Array(130,130);    //Viaducto:  Chabacano Linea 2  Xola  
correspondeTR[186]= new Array(19,116);  distanciasTR[186]= new Array(180,180);    //Villa de Aragón:  Bosque de Aragón  Nezahualcóyotl  
correspondeTR[187]= new Array(115,189);  distanciasTR[187]= new Array(130,130);    //Villa de Cortés:  Nativitas  Xola  
correspondeTR[188]= new Array(44,106);  distanciasTR[188]= new Array(150,145);    //Viveros / Derechos Humanos:  Coyoacán  Miguel Angel de Quevedo  
correspondeTR[189]= new Array(185,187);  distanciasTR[189]= new Array(130,140);    //Xola:  Viaducto  Villa de Cortés  
correspondeTR[190]= new Array(44,53,191);  distanciasTR[190]= new Array(180,140,100000);    //Zapata Linea 3:  Coyoacán  División del Norte  Zapata Linea 12  
correspondeTR[191]= new Array(77,132,190);  distanciasTR[191]= new Array(100000,100000,100000);    //Zapata Linea 12:  Hospital 20 de Noviembre  Parque de los Venados  Zapata Linea 3  
correspondeTR[192]= new Array(118,178);  distanciasTR[192]= new Array(100000,100000);    //Zapotitlan:  Nopalera  Tlaltenco  
correspondeTR[193]= new Array(70,128);  distanciasTR[193]= new Array(140,200);    //Zaragoza:  Gómez Farías  Pantitlán Linea 1  
correspondeTR[194]= new Array(3,137);  distanciasTR[194]= new Array(160,150);    //Zócalo:  Allende  Pino Suárez Linea 2  

correspondeteoricas[0]= new Array(134,163);  distanciasteoricas[0]= new Array(165,160);    //Acatitla:  Peñón Viejo  Santa Marta  
correspondeteoricas[1]= new Array(4,62);  distanciasteoricas[1]= new Array(110,120);    //Aculco:  Apatlaco  Escuadrón 201  
correspondeteoricas[2]= new Array(24,131);  distanciasteoricas[2]= new Array(145,175);    //Agrícola Oriental:  Canal de San Juan  Pantitlán Linea A  
correspondeteoricas[3]= new Array(16,194);  distanciasteoricas[3]= new Array(105,120);    //Allende:  Bellas Artes Linea 2  Zócalo  
correspondeteoricas[4]= new Array(1,86);  distanciasteoricas[4]= new Array(110,135);    //Apatlaco:  Aculco  Iztacalco  
correspondeteoricas[5]= new Array(23,59);  distanciasteoricas[5]= new Array(160,205);    //Aquiles Serdán:  Camarones  El Rosario Linea 7  
correspondeteoricas[6]= new Array(56,123);  distanciasteoricas[6]= new Array(135,150);    //Aragón:  Eduardo Molina  Oceanía Linea 5  
correspondeteoricas[7]= new Array(8,62,87);  distanciasteoricas[7]= new Array(100000,170,120);    //Atlalilco Linea 8:  Atlalilco Linea 12  Escuadrón 201  Iztapalapa  
correspondeteoricas[8]= new Array(7,49,105);  distanciasteoricas[8]= new Array(100000,100000,100000);    //Atlalilco Linea 12:  Atlalilco Linea 8  Culhuacan  Mexicaltzingo  
correspondeteoricas[9]= new Array(40,139);  distanciasteoricas[9]= new Array(160,125);    //Auditorio:  Constituyentes  Polanco  
correspondeteoricas[10]= new Array(81,94);  distanciasteoricas[10]= new Array(140,135);    //Autobuses del Norte:  Instituto del Peteoricasóleo Linea 5  La Raza Linea 5  
correspondeteoricas[11]= new Array(65,176);  distanciasteoricas[11]= new Array(150,145);    //Azcapotzalco:  Ferrería  Tezozomoc  
correspondeteoricas[12]= new Array(20,111);  distanciasteoricas[12]= new Array(115,125);    //Balbuena:  Boulevard Puerto Aéreo  Moctezuma  
correspondeteoricas[13]= new Array(14,47,150);  distanciasteoricas[13]= new Array(260,110,115);    //Balderas Linea 1:  Balderas Linea 3  Cuauhtémoc  Salto del Agua Linea 1  
correspondeteoricas[14]= new Array(13,91,117);  distanciasteoricas[14]= new Array(210,135,130);    //Balderas Linea 3:  Balderas Linea 1  Juárez  Niños Héroes  
correspondeteoricas[15]= new Array(108,100000);  distanciasteoricas[15]= new Array(100,100000);    //Barranca del Muerto:  Mixcoac Linea 7  
correspondeteoricas[16]= new Array(3,17,75);  distanciasteoricas[16]= new Array(105,390,105);    //Bellas Artes Linea 2:  Allende  Bellas Artes Linea 8  Hidalgo Linea 2  
correspondeteoricas[17]= new Array(16,67,157);  distanciasteoricas[17]= new Array(385,195,115);    //Bellas Artes Linea 8:  Bellas Artes Linea 2  Garibaldi / Lagunilla Linea 8  San Juan de Leteoricasán  
correspondeteoricas[18]= new Array(41,170);  distanciasteoricas[18]= new Array(125,135);    //Bondojito:  Consulado Linea 4  Talismán  
correspondeteoricas[19]= new Array(52,186);  distanciasteoricas[19]= new Array(135,120);    //Bosque de Aragón:  Deportivo Oceanía  Villa de Aragón  
correspondeteoricas[20]= new Array(12,70);  distanciasteoricas[20]= new Array(115,120);    //Boulevard Puerto Aéreo:  Balbuena  Gómez Farías  
correspondeteoricas[21]= new Array(73,100000);  distanciasteoricas[21]= new Array(90,100000);    //Buenavista:  Guerrero Linea B  
correspondeteoricas[22]= new Array(100,135);  distanciasteoricas[22]= new Array(100000,100000);    //Calle 11:  Lomas Esteoricasella  Periferico Oriente  
correspondeteoricas[23]= new Array(5,146);  distanciasteoricas[23]= new Array(160,130);    //Camarones:  Aquiles Serdán  Refinería  
correspondeteoricas[24]= new Array(2,172);  distanciasteoricas[24]= new Array(150,170);    //Canal de San Juan:  Agrícola Oriental  Tepalcates  
correspondeteoricas[25]= new Array(41,112);  distanciasteoricas[25]= new Array(140,125);    //Canal del Norte:  Consulado Linea 4  Morelos Linea 4  
correspondeteoricas[26]= new Array(27,104,158);  distanciasteoricas[26]= new Array(660,125,140);    //Candelaria Linea 1:  Candelaria Linea 4  Merced  San Lázaro Linea 1  
correspondeteoricas[27]= new Array(26,66,112);  distanciasteoricas[27]= new Array(300,120,145);    //Candelaria Linea 4:  Candelaria Linea 1  Fray Servando  Morelos Linea 4  
correspondeteoricas[28]= new Array(29,63,78);  distanciasteoricas[28]= new Array(460,155,140);    //Centeoricaso Médico Linea 3:  Centeoricaso Médico Linea 9  Etiopía / Plaza de la teoricasansparencia  Hospital General  
correspondeteoricas[29]= new Array(28,35,98);  distanciasteoricas[29]= new Array(480,155,155);    //Centeoricaso Médico Linea 9:  Centeoricaso Médico Linea 3  Chilpancingo  Lázaro Cárdenas  
correspondeteoricas[30]= new Array(87,180);  distanciasteoricas[30]= new Array(120,135);    //Cerro de la Esteoricasella:  Iztapalapa  UAM-I  
correspondeteoricas[31]= new Array(32,33,154,185);  distanciasteoricas[31]= new Array(480,560,115,125);    //Chabacano Linea 2:  Chabacano Linea 8  Chabacano Linea 9  San Antonio Abad  Viaducto  
correspondeteoricas[32]= new Array(31,33,95,121);  distanciasteoricas[32]= new Array(560,470,135,145);    //Chabacano Linea 8:  Chabacano Linea 2  Chabacano Linea 9  La Viga  Obrera  
correspondeteoricas[33]= new Array(31,32,89,98);  distanciasteoricas[33]= new Array(400,525,165,150);    //Chabacano Linea 9:  Chabacano Linea 2  Chabacano Linea 8  Jamaica Linea 9  Lázaro Cárdenas  
correspondeteoricas[34]= new Array(90,164);  distanciasteoricas[34]= new Array(140,110);    //Chapultepec:  Juanacatlán  Sevilla  
correspondeteoricas[35]= new Array(29,133);  distanciasteoricas[35]= new Array(155,135);    //Chilpancingo:  Centeoricaso Médico Linea 9  Pateoricasiotismo  
correspondeteoricas[36]= new Array(138,100000);  distanciasteoricas[36]= new Array(115,100000);    //Ciudad Azteca:  Plaza Aragón  
correspondeteoricas[37]= new Array(144,184);  distanciasteoricas[37]= new Array(125,150);    //Ciudad Deportiva:  Puebla  Velódromo  
correspondeteoricas[38]= new Array(119,141);  distanciasteoricas[38]= new Array(110,105);    //Colegio Militar:  Normal  Popotla  
correspondeteoricas[39]= new Array(180,100000);  distanciasteoricas[39]= new Array(145,100000);    //Constitución de 1917:  UAM-I  
correspondeteoricas[40]= new Array(9,168);  distanciasteoricas[40]= new Array(160,135);    //Constituyentes:  Auditorio  Tacubaya Linea 7  
correspondeteoricas[41]= new Array(18,25,42);  distanciasteoricas[41]= new Array(125,140,780);    //Consulado Linea 4:  Bondojito  Canal del Norte  Consulado Linea 5  
correspondeteoricas[42]= new Array(41,56,182);  distanciasteoricas[42]= new Array(740,135,130);    //Consulado Linea 5:  Consulado Linea 4  Eduardo Molina  Valle Gómez  
correspondeteoricas[43]= new Array(106,181);  distanciasteoricas[43]= new Array(170,200);    //Copilco:  Miguel Angel de Quevedo  Universidad  
correspondeteoricas[44]= new Array(188,190);  distanciasteoricas[44]= new Array(135,150);    //Coyoacán:  Viveros / Derechos Humanos  Zapata Linea 3  
correspondeteoricas[45]= new Array(86,162);  distanciasteoricas[45]= new Array(135,150);    //Coyuya:  Iztacalco  Santa Anita Linea 8  
correspondeteoricas[46]= new Array(127,100000);  distanciasteoricas[46]= new Array(175,100000);    //Cuateoricaso Caminos:  Panteones  
correspondeteoricas[47]= new Array(13,83);  distanciasteoricas[47]= new Array(110,130);    //Cuauhtémoc:  Balderas Linea 1  Insurgentes  
correspondeteoricas[48]= new Array(141,165);  distanciasteoricas[48]= new Array(110,120);    //Cuitlahuac:  Popotla  Tacuba Linea 2  
correspondeteoricas[49]= new Array(8,152);  distanciasteoricas[49]= new Array(100000,100000);    //Culhuacan:  Atlalilco Linea 12  San Andres Tomatlan  
correspondeteoricas[50]= new Array(51,80,143);  distanciasteoricas[50]= new Array(690,190,150);    //Deportivo 18 de Marzo Linea 3:  Deportivo 18 de Marzo Linea 6  Indios Verdes  Poteoricasero  
correspondeteoricas[51]= new Array(50,96,99);  distanciasteoricas[51]= new Array(455,110,140);    //Deportivo 18 de Marzo Linea 6:  Deportivo 18 de Marzo Linea 3  La Villa-Basílica  Lindavista  
correspondeteoricas[52]= new Array(19,124);  distanciasteoricas[52]= new Array(135,125);    //Deportivo Oceanía:  Bosque de Aragón  Oceanía Linea B  
correspondeteoricas[53]= new Array(64,190);  distanciasteoricas[53]= new Array(125,140);    //División del Norte:  Eugenia  Zapata Linea 3  
correspondeteoricas[54]= new Array(121,151);  distanciasteoricas[54]= new Array(125,125);    //Doctores:  Obrera  Salto del Agua Linea 8  
correspondeteoricas[55]= new Array(114,125);  distanciasteoricas[55]= new Array(155,105);    //Ecatepec:  Muzquiz  Olímpica  
correspondeteoricas[56]= new Array(6,42);  distanciasteoricas[56]= new Array(130,135);    //Eduardo Molina:  Aragón  Consulado Linea 5  
correspondeteoricas[57]= new Array(61,132);  distanciasteoricas[57]= new Array(100000,100000);    //Eje Centeoricasal:  Ermita Linea 12  Parque de los Venados  
correspondeteoricas[58]= new Array(59,176);  distanciasteoricas[58]= new Array(120,160);    //El Rosario Linea 6:  El Rosario Linea 7  Tezozomoc  
correspondeteoricas[59]= new Array(5,58);  distanciasteoricas[59]= new Array(170,120);    //El Rosario Linea 7:  Aquiles Serdán  El Rosario Linea 6  
correspondeteoricas[60]= new Array(61,69,142);  distanciasteoricas[60]= new Array(100000,130,120);    //Ermita Linea 2:  Ermita Linea 12  General Anaya  Portales  
correspondeteoricas[61]= new Array(57,60,105);  distanciasteoricas[61]= new Array(100000,100000,100000);    //Ermita Linea 12:  Eje Centeoricasal  Ermita Linea 2  Mexicaltzingo  
correspondeteoricas[62]= new Array(1,7);  distanciasteoricas[62]= new Array(120,170);    //Escuadrón 201:  Aculco  Atlalilco Linea 8  
correspondeteoricas[63]= new Array(28,64);  distanciasteoricas[63]= new Array(170,135);    //Etiopía / Plaza de la teoricasansparencia:  Centeoricaso Médico Linea 3  Eugenia  
correspondeteoricas[64]= new Array(53,63);  distanciasteoricas[64]= new Array(125,135);    //Eugenia:  División del Norte  Etiopía / Plaza de la teoricasansparencia  
correspondeteoricas[65]= new Array(11,120);  distanciasteoricas[65]= new Array(150,140);    //Ferrería:  Azcapotzalco  Norte 45  
correspondeteoricas[66]= new Array(27,88);  distanciasteoricas[66]= new Array(120,125);    //Fray Servando:  Candelaria Linea 4  Jamaica Linea 4  
correspondeteoricas[67]= new Array(17,68);  distanciasteoricas[67]= new Array(95,280);    //Garibaldi / Lagunilla Linea 8:  Bellas Artes Linea 8  Garibaldi / Lagunilla Linea B  
correspondeteoricas[68]= new Array(67,73,97);  distanciasteoricas[68]= new Array(60,130,115);    //Garibaldi / Lagunilla Linea B:  Garibaldi / Lagunilla Linea 8  Guerrero Linea B  Lagunilla  
correspondeteoricas[69]= new Array(60,171);  distanciasteoricas[69]= new Array(125,215);    //General Anaya:  Ermita Linea 2  Tasqueña  
correspondeteoricas[70]= new Array(20,193);  distanciasteoricas[70]= new Array(140,140);    //Gómez Farías:  Boulevard Puerto Aéreo  Zaragoza  
correspondeteoricas[71]= new Array(134,172);  distanciasteoricas[71]= new Array(200,180);    //Guelatao:  Peñón Viejo  Tepalcates  
correspondeteoricas[72]= new Array(73,76,179);  distanciasteoricas[72]= new Array(270,150,180);    //Guerrero Linea 3:  Guerrero Linea B  Hidalgo Linea 3  Tlatelolco  
correspondeteoricas[73]= new Array(21,68,72);  distanciasteoricas[73]= new Array(220,160,270);    //Guerrero Linea B:  Buenavista  Garibaldi / Lagunilla Linea B  Guerrero Linea 3  
correspondeteoricas[74]= new Array(129,174);  distanciasteoricas[74]= new Array(220,160);    //Hangares:  Pantitlán Linea 5  Terminal Aérea  
correspondeteoricas[75]= new Array(16,76,147);  distanciasteoricas[75]= new Array(140,300,150);    //Hidalgo Linea 2:  Bellas Artes Linea 2  Hidalgo Linea 3  Revolución  
correspondeteoricas[76]= new Array(72,75,91);  distanciasteoricas[76]= new Array(140,300,140);    //Hidalgo Linea 3:  Guerrero Linea 3  Hidalgo Linea 2  Juárez  
correspondeteoricas[77]= new Array(84,191);  distanciasteoricas[77]= new Array(100000,100000);    //Hospital 20 de Noviembre:  Insurgentes Sur  Zapata Linea 12  
correspondeteoricas[78]= new Array(28,117);  distanciasteoricas[78]= new Array(160,140);    //Hospital General:  Centeoricaso Médico Linea 3  Niños Héroes  
correspondeteoricas[79]= new Array(116,148);  distanciasteoricas[79]= new Array(180,130);    //Impulsora:  Nezahualcóyotl  Río de los Remedios  
correspondeteoricas[80]= new Array(50,100000);  distanciasteoricas[80]= new Array(180,100000);    //Indios Verdes:  Deportivo 18 de Marzo Linea 3  
correspondeteoricas[81]= new Array(10,82,140);  distanciasteoricas[81]= new Array(135,960,160);    //Instituto del Peteoricasóleo Linea 5:  Autobuses del Norte  Instituto del Peteoricasóleo Linea 6  Politécnico  
correspondeteoricas[82]= new Array(81,99,183);  distanciasteoricas[82]= new Array(960,170,130);    //Instituto del Peteoricasóleo Linea 6:  Instituto del Peteoricasóleo Linea 5  Lindavista  Vallejo  
correspondeteoricas[83]= new Array(47,164);  distanciasteoricas[83]= new Array(130,120);    //Insurgentes:  Cuauhtémoc  Sevilla  
correspondeteoricas[84]= new Array(77,109);  distanciasteoricas[84]= new Array(100000,100000);    //Insurgentes Sur:  Hospital 20 de Noviembre  Mixcoac Linea 12  
correspondeteoricas[85]= new Array(136,150);  distanciasteoricas[85]= new Array(120,120);    //Isabel la Católica:  Pino Suárez Linea 1  Salto del Agua Linea 1  
correspondeteoricas[86]= new Array(4,45);  distanciasteoricas[86]= new Array(140,140);    //Iztacalco:  Apatlaco  Coyuya  
correspondeteoricas[87]= new Array(7,30);  distanciasteoricas[87]= new Array(140,140);    //Iztapalapa:  Atlalilco Linea 8  Cerro de la Esteoricasella  
correspondeteoricas[88]= new Array(66,89,161);  distanciasteoricas[88]= new Array(130,639,160);    //Jamaica Linea 4:  Fray Servando  Jamaica Linea 9  Santa Anita Linea 4  
correspondeteoricas[89]= new Array(33,88,110);  distanciasteoricas[89]= new Array(180,876,140);    //Jamaica Linea 9:  Chabacano Linea 9  Jamaica Linea 4  Mixiuhca  
correspondeteoricas[90]= new Array(34,167);  distanciasteoricas[90]= new Array(170,180);    //Juanacatlán:  Chapultepec  Tacubaya Linea 1  
correspondeteoricas[91]= new Array(14,76);  distanciasteoricas[91]= new Array(135,120);    //Juárez:  Balderas Linea 3  Hidalgo Linea 3  
correspondeteoricas[92]= new Array(101,100000);  distanciasteoricas[92]= new Array(200,100000);    //La Paz:  Los Reyes  
correspondeteoricas[93]= new Array(94,143,179);  distanciasteoricas[93]= new Array(822,180,205);    //La Raza Linea 3:  La Raza Linea 5  Poteoricasero  Tlatelolco  
correspondeteoricas[94]= new Array(10,93,107);  distanciasteoricas[94]= new Array(145,880,130);    //La Raza Linea 5:  Autobuses del Norte  La Raza Linea 3  Misterios  
correspondeteoricas[95]= new Array(32,162);  distanciasteoricas[95]= new Array(125,125);    //La Viga:  Chabacano Linea 8  Santa Anita Linea 8  
correspondeteoricas[96]= new Array(51,103);  distanciasteoricas[96]= new Array(130,180);    //La Villa-Basílica:  Deportivo 18 de Marzo Linea 6  Martín Carrera Linea 6  
correspondeteoricas[97]= new Array(68,173);  distanciasteoricas[97]= new Array(120,120);    //Lagunilla:  Garibaldi / Lagunilla Linea B  Tepito  
correspondeteoricas[98]= new Array(29,33);  distanciasteoricas[98]= new Array(160,140);    //Lázaro Cárdenas:  Centeoricaso Médico Linea 9  Chabacano Linea 9  
correspondeteoricas[99]= new Array(51,82);  distanciasteoricas[99]= new Array(140,160);    //Lindavista:  Deportivo 18 de Marzo Linea 6  Instituto del Peteoricasóleo Linea 6  
correspondeteoricas[100]= new Array(22,152);  distanciasteoricas[100]= new Array(100000,100000);    //Lomas Esteoricasella:  Calle 11  San Andres Tomatlan  
correspondeteoricas[101]= new Array(92,163);  distanciasteoricas[101]= new Array(190,160);    //Los Reyes:  La Paz  Santa Marta  
correspondeteoricas[102]= new Array(103,170);  distanciasteoricas[102]= new Array(720,130);    //Martín Carrera Linea 4:  Martín Carrera Linea 6  Talismán  
correspondeteoricas[103]= new Array(96,102);  distanciasteoricas[103]= new Array(160,720);    //Martín Carrera Linea 6:  La Villa-Basílica  Martín Carrera Linea 4  
correspondeteoricas[104]= new Array(26,136);  distanciasteoricas[104]= new Array(130,150);    //Merced:  Candelaria Linea 1  Pino Suárez Linea 1  
correspondeteoricas[105]= new Array(8,61);  distanciasteoricas[105]= new Array(100000,100000);    //Mexicaltzingo:  Atlalilco Linea 12  Ermita Linea 12  
correspondeteoricas[106]= new Array(43,188);  distanciasteoricas[106]= new Array(160,140);    //Miguel Angel de Quevedo:  Copilco  Viveros / Derechos Humanos  
correspondeteoricas[107]= new Array(94,182);  distanciasteoricas[107]= new Array(130,130);    //Misterios:  La Raza Linea 5  Valle Gómez  
correspondeteoricas[108]= new Array(15,109,153);  distanciasteoricas[108]= new Array(180,100000,170);    //Mixcoac Linea 7:  Barranca del Muerto  Mixcoac Linea 12  San Antonio  
correspondeteoricas[109]= new Array(84,108);  distanciasteoricas[109]= new Array(100000,100000);    //Mixcoac Linea 12:  Insurgentes Sur  Mixcoac Linea 7  
correspondeteoricas[110]= new Array(89,184);  distanciasteoricas[110]= new Array(140,140);    //Mixiuhca:  Jamaica Linea 9  Velódromo  
correspondeteoricas[111]= new Array(12,158);  distanciasteoricas[111]= new Array(130,120);    //Moctezuma:  Balbuena  San Lázaro Linea 1  
correspondeteoricas[112]= new Array(25,27,113);  distanciasteoricas[112]= new Array(145,145,570);    //Morelos Linea 4:  Canal del Norte  Candelaria Linea 4  Morelos Linea B  
correspondeteoricas[113]= new Array(112,159,173);  distanciasteoricas[113]= new Array(660,180,125);    //Morelos Linea B:  Morelos Linea 4  San Lázaro Linea B  Tepito  
correspondeteoricas[114]= new Array(55,148);  distanciasteoricas[114]= new Array(180,145);    //Muzquiz:  Ecatepec  Río de los Remedios  
correspondeteoricas[115]= new Array(142,187);  distanciasteoricas[115]= new Array(130,130);    //Nativitas:  Portales  Villa de Cortés  
correspondeteoricas[116]= new Array(79,186);  distanciasteoricas[116]= new Array(180,180);    //Nezahualcóyotl:  Impulsora  Villa de Aragón  
correspondeteoricas[117]= new Array(14,78);  distanciasteoricas[117]= new Array(130,130);    //Niños Héroes:  Balderas Linea 3  Hospital General  
correspondeteoricas[118]= new Array(126,192);  distanciasteoricas[118]= new Array(100000,100000);    //Nopalera:  Olivos  Zapotitlan  
correspondeteoricas[119]= new Array(38,155);  distanciasteoricas[119]= new Array(130,130);    //Normal:  Colegio Militar  San Cosme  
correspondeteoricas[120]= new Array(65,183);  distanciasteoricas[120]= new Array(155,130);    //Norte 45:  Ferrería  Vallejo  
correspondeteoricas[121]= new Array(32,54);  distanciasteoricas[121]= new Array(150,120);    //Obrera:  Chabacano Linea 8  Doctores  
correspondeteoricas[122]= new Array(167,100000);  distanciasteoricas[122]= new Array(140,100000);    //Observatorio:  Tacubaya Linea 1  
correspondeteoricas[123]= new Array(6,124,174);  distanciasteoricas[123]= new Array(160,420,180);    //Oceanía Linea 5:  Aragón  Oceanía Linea B  Terminal Aérea  
correspondeteoricas[124]= new Array(52,123,149);  distanciasteoricas[124]= new Array(170,540,160);    //Oceanía Linea B:  Deportivo Oceanía  Oceanía Linea 5  Romero Rubio  
correspondeteoricas[125]= new Array(55,138);  distanciasteoricas[125]= new Array(140,140);    //Olímpica:  Ecatepec  Plaza Aragón  
correspondeteoricas[126]= new Array(118,175);  distanciasteoricas[126]= new Array(100000,100000);    //Olivos:  Nopalera  Tezonco  
correspondeteoricas[127]= new Array(46,165);  distanciasteoricas[127]= new Array(160,180);    //Panteones:  Cuateoricaso Caminos  Tacuba Linea 2  
correspondeteoricas[128]= new Array(129,130,131,193);  distanciasteoricas[128]= new Array(750,60,60,120);    //Pantitlán Linea 1:  Pantitlán Linea 5  Pantitlán Linea 9  Pantitlán Linea A  Zaragoza  
correspondeteoricas[129]= new Array(74,128,130,131);  distanciasteoricas[129]= new Array(180,60,60,60);    //Pantitlán Linea 5:  Hangares  Pantitlán Linea 1  Pantitlán Linea 9  Pantitlán Linea A  
correspondeteoricas[130]= new Array(128,129,131,144);  distanciasteoricas[130]= new Array(60,60,60,170);    //Pantitlán Linea 9:  Pantitlán Linea 1  Pantitlán Linea 5  Pantitlán Linea A  Puebla  
correspondeteoricas[131]= new Array(2,128,129,130);  distanciasteoricas[131]= new Array(180,60,60,60);    //Pantitlán Linea A:  Agrícola Oriental  Pantitlán Linea 1  Pantitlán Linea 5  Pantitlán Linea 9  
correspondeteoricas[132]= new Array(57,191);  distanciasteoricas[132]= new Array(100000,100000);    //Parque de los Venados:  Eje Centeoricasal  Zapata Linea 12  
correspondeteoricas[133]= new Array(35,169);  distanciasteoricas[133]= new Array(165,180);    //Pateoricasiotismo:  Chilpancingo  Tacubaya Linea 9  
correspondeteoricas[134]= new Array(0,71);  distanciasteoricas[134]= new Array(200,240);    //Peñón Viejo:  Acatitla  Guelatao  
correspondeteoricas[135]= new Array(22,175);  distanciasteoricas[135]= new Array(100000,100000);    //Periferico Oriente:  Calle 11  Tezonco  
correspondeteoricas[136]= new Array(85,104,137);  distanciasteoricas[136]= new Array(140,140,325);    //Pino Suárez Linea 1:  Isabel la Católica  Merced  Pino Suárez Linea 2  
correspondeteoricas[137]= new Array(136,154,194);  distanciasteoricas[137]= new Array(300,150,140);    //Pino Suárez Linea 2:  Pino Suárez Linea 1  San Antonio Abad  Zócalo  
correspondeteoricas[138]= new Array(36,125);  distanciasteoricas[138]= new Array(140,125);    //Plaza Aragón:  Ciudad Azteca  Olímpica  
correspondeteoricas[139]= new Array(9,156);  distanciasteoricas[139]= new Array(140,140);    //Polanco:  Auditorio  San Joaquín  
correspondeteoricas[140]= new Array(81,100000);  distanciasteoricas[140]= new Array(150,100000);    //Politécnico:  Instituto del Peteoricasóleo Linea 5  
correspondeteoricas[141]= new Array(38,48);  distanciasteoricas[141]= new Array(120,120);    //Popotla:  Colegio Militar  Cuitlahuac  
correspondeteoricas[142]= new Array(60,115);  distanciasteoricas[142]= new Array(140,140);    //Portales:  Ermita Linea 2  Nativitas  
correspondeteoricas[143]= new Array(50,93);  distanciasteoricas[143]= new Array(160,160);    //Poteoricasero:  Deportivo 18 de Marzo Linea 3  La Raza Linea 3  
correspondeteoricas[144]= new Array(37,130);  distanciasteoricas[144]= new Array(140,200);    //Puebla:  Ciudad Deportiva  Pantitlán Linea 9  
correspondeteoricas[145]= new Array(149,159);  distanciasteoricas[145]= new Array(140,140);    //R. Flores Magón:  Romero Rubio  San Lázaro Linea B  
correspondeteoricas[146]= new Array(23,166);  distanciasteoricas[146]= new Array(150,170);    //Refinería:  Camarones  Tacuba Linea 7  
correspondeteoricas[147]= new Array(75,155);  distanciasteoricas[147]= new Array(140,140);    //Revolución:  Hidalgo Linea 2  San Cosme  
correspondeteoricas[148]= new Array(79,114);  distanciasteoricas[148]= new Array(140,140);    //Río de los Remedios:  Impulsora  Muzquiz  
correspondeteoricas[149]= new Array(124,145);  distanciasteoricas[149]= new Array(140,140);    //Romero Rubio:  Oceanía Linea B  R. Flores Magón  
correspondeteoricas[150]= new Array(13,85,151);  distanciasteoricas[150]= new Array(120,135,474);    //Salto del Agua Linea 1:  Balderas Linea 1  Isabel la Católica  Salto del Agua Linea 8  
correspondeteoricas[151]= new Array(54,150,157);  distanciasteoricas[151]= new Array(138,385,542);    //Salto del Agua Linea 8:  Doctores  Salto del Agua Linea 1  San Juan de Leteoricasán  
correspondeteoricas[152]= new Array(49,100);  distanciasteoricas[152]= new Array(100000,100000);    //San Andres Tomatlan:  Culhuacan  Lomas Esteoricasella  
correspondeteoricas[153]= new Array(108,160);  distanciasteoricas[153]= new Array(120,120);    //San Antonio:  Mixcoac Linea 7  San Pedro de los Pinos  
correspondeteoricas[154]= new Array(31,137);  distanciasteoricas[154]= new Array(120,132);    //San Antonio Abad:  Chabacano Linea 2  Pino Suárez Linea 2  
correspondeteoricas[155]= new Array(119,147);  distanciasteoricas[155]= new Array(120,120);    //San Cosme:  Normal  Revolución  
correspondeteoricas[156]= new Array(139,166);  distanciasteoricas[156]= new Array(138,174);    //San Joaquín:  Polanco  Tacuba Linea 7  
correspondeteoricas[157]= new Array(17,151);  distanciasteoricas[157]= new Array(120,120);    //San Juan de Leteoricasán:  Bellas Artes Linea 8  Salto del Agua Linea 8  
correspondeteoricas[158]= new Array(26,111,159);  distanciasteoricas[158]= new Array(138,126,510);    //San Lázaro Linea 1:  Candelaria Linea 1  Moctezuma  San Lázaro Linea B  
correspondeteoricas[159]= new Array(113,145,158);  distanciasteoricas[159]= new Array(180,135,361);    //San Lázaro Linea B:  Morelos Linea B  R. Flores Magón  San Lázaro Linea 1  
correspondeteoricas[160]= new Array(153,168);  distanciasteoricas[160]= new Array(120,735);    //San Pedro de los Pinos:  San Antonio  Tacubaya Linea 7  
correspondeteoricas[161]= new Array(88,162);  distanciasteoricas[161]= new Array(120,549);    //Santa Anita Linea 4:  Jamaica Linea 4  Santa Anita Linea 8  
correspondeteoricas[162]= new Array(45,95,161);  distanciasteoricas[162]= new Array(140,120,60);    //Santa Anita Linea 8:  Coyuya  La Viga  Santa Anita Linea 4  
correspondeteoricas[163]= new Array(0,101);  distanciasteoricas[163]= new Array(168,189);    //Santa Marta:  Acatitla  Los Reyes  
correspondeteoricas[164]= new Array(34,83);  distanciasteoricas[164]= new Array(120,120);    //Sevilla:  Chapultepec  Insurgentes  
correspondeteoricas[165]= new Array(48,127,166);  distanciasteoricas[165]= new Array(126,180,853);    //Tacuba Linea 2:  Cuitlahuac  Panteones  Tacuba Linea 7  
correspondeteoricas[166]= new Array(146,156,165);  distanciasteoricas[166]= new Array(180,180,540);    //Tacuba Linea 7:  Refinería  San Joaquín  Tacuba Linea 2  
correspondeteoricas[167]= new Array(90,122,168,169);  distanciasteoricas[167]= new Array(135,180,753,568);    //Tacubaya Linea 1:  Juanacatlán  Observatorio  Tacubaya Linea 7  Tacubaya Linea 9  
correspondeteoricas[168]= new Array(40,160,167,169);  distanciasteoricas[168]= new Array(130,135,360,548);    //Tacubaya Linea 7:  Constituyentes  San Pedro de los Pinos  Tacubaya Linea 1  Tacubaya Linea 9  
correspondeteoricas[169]= new Array(133,167,168);  distanciasteoricas[169]= new Array(130,433,690);    //Tacubaya Linea 9:  Pateoricasiotismo  Tacubaya Linea 1  Tacubaya Linea 7  
correspondeteoricas[170]= new Array(18,102);  distanciasteoricas[170]= new Array(130,180);    //Talismán:  Bondojito  Martín Carrera Linea 4  
correspondeteoricas[171]= new Array(69,100000);  distanciasteoricas[171]= new Array(141,100000);    //Tasqueña:  General Anaya  
correspondeteoricas[172]= new Array(24,71);  distanciasteoricas[172]= new Array(180,180);    //Tepalcates:  Canal de San Juan  Guelatao  
correspondeteoricas[173]= new Array(97,113);  distanciasteoricas[173]= new Array(120,120);    //Tepito:  Lagunilla  Morelos Linea B  
correspondeteoricas[174]= new Array(74,123);  distanciasteoricas[174]= new Array(138,180);    //Terminal Aérea:  Hangares  Oceanía Linea 5  
correspondeteoricas[175]= new Array(126,135);  distanciasteoricas[175]= new Array(100000,100000);    //Tezonco:  Olivos  Periferico Oriente  
correspondeteoricas[176]= new Array(11,58);  distanciasteoricas[176]= new Array(140,250);    //Tezozomoc:  Azcapotzalco  El Rosario Linea 6  
correspondeteoricas[177]= new Array(178,100000);  distanciasteoricas[177]= new Array(100000);    //Tlahuac:  Tlaltenco  
correspondeteoricas[178]= new Array(177,192);  distanciasteoricas[178]= new Array(100000,100000);    //Tlaltenco:  Tlahuac  Zapotitlan  
correspondeteoricas[179]= new Array(72,93);  distanciasteoricas[179]= new Array(130,180);    //Tlatelolco:  Guerrero Linea 3  La Raza Linea 3  
correspondeteoricas[180]= new Array(30,39);  distanciasteoricas[180]= new Array(135,135);    //UAM-I:  Cerro de la Esteoricasella  Constitución de 1917  
correspondeteoricas[181]= new Array(43,100000);  distanciasteoricas[181]= new Array(171,100000);    //Universidad:  Copilco  
correspondeteoricas[182]= new Array(42,107);  distanciasteoricas[182]= new Array(120,130);    //Valle Gómez:  Consulado Linea 5  Misterios  
correspondeteoricas[183]= new Array(82,120);  distanciasteoricas[183]= new Array(126,125);    //Vallejo:  Instituto del Peteoricasóleo Linea 6  Norte 45  
correspondeteoricas[184]= new Array(37,110);  distanciasteoricas[184]= new Array(168,126);    //Velódromo:  Ciudad Deportiva  Mixiuhca  
correspondeteoricas[185]= new Array(31,189);  distanciasteoricas[185]= new Array(130,130);    //Viaducto:  Chabacano Linea 2  Xola  
correspondeteoricas[186]= new Array(19,116);  distanciasteoricas[186]= new Array(180,180);    //Villa de Aragón:  Bosque de Aragón  Nezahualcóyotl  
correspondeteoricas[187]= new Array(115,189);  distanciasteoricas[187]= new Array(130,130);    //Villa de Cortés:  Nativitas  Xola  
correspondeteoricas[188]= new Array(44,106);  distanciasteoricas[188]= new Array(150,145);    //Viveros / Derechos Humanos:  Coyoacán  Miguel Angel de Quevedo  
correspondeteoricas[189]= new Array(185,187);  distanciasteoricas[189]= new Array(130,140);    //Xola:  Viaducto  Villa de Cortés  
correspondeteoricas[190]= new Array(44,53,191);  distanciasteoricas[190]= new Array(180,140,100000);    //Zapata Linea 3:  Coyoacán  División del Norte  Zapata Linea 12  
correspondeteoricas[191]= new Array(77,132,190);  distanciasteoricas[191]= new Array(100000,100000,100000);    //Zapata Linea 12:  Hospital 20 de Noviembre  Parque de los Venados  Zapata Linea 3  
correspondeteoricas[192]= new Array(118,178);  distanciasteoricas[192]= new Array(100000,100000);    //Zapotitlan:  Nopalera  Tlaltenco  
correspondeteoricas[193]= new Array(70,128);  distanciasteoricas[193]= new Array(140,200);    //Zaragoza:  Gómez Farías  Pantitlán Linea 1  
correspondeteoricas[194]= new Array(3,137);  distanciasteoricas[194]= new Array(160,150);    //Zócalo:  Allende  Pino Suárez Linea 2  


Ti.Gesture.addEventListener("orientationchange", function (event) {
	header.top ='0%', header.left = '0%', header.width = '100%', header.height = '20%';
	logomb.top ='0%', logomb.left = '0%', logomb.width = '22%', logomb.height = '15%';
	etiquetaTitle.top = '10%', etiquetaTitle.left = '60%', etiquetaTitle.width = 'auto', etiquetaTitle.height='auto';
	bConfig.top='89%', bConfig.left='30%', bConfig.width='40%', bConfig.height='10%';
	bRuta.top='40%', bRuta.left='30%',bRuta.width='40%',bRuta.height='10%';
	
    if (event.orientation === Ti.UI.LANDSCAPE_LEFT || event.orientation === Ti.UI.LANDSCAPE_RIGHT)
    {	header.top ='0%', header.left = '0%', header.width = '100%', header.height = '20%';
		logomb.top ='0%', logomb.left = '0%', logomb.width = '10%', logomb.height = '15%';
		etiquetaTitle.top = '5%', etiquetaTitle.left = '60%', etiquetaTitle.width = 'auto', etiquetaTitle.height='auto';
		bConfig.top='89%', bConfig.left='35%', bConfig.width='30%', bConfig.height='10%';
		bRuta.top='40%', bRuta.left='35%',bRuta.width='30%',bRuta.height='15%';
	 }
});


prueba();
function prueba(){
	var ancho = Titanium.Platform.displayCaps.platformWidth;
	var alto = Titanium.Platform.displayCaps.platformHeight;
	
		bConfig.top='89%', bConfig.left='30%', bConfig.width='40%', bConfig.height='10%';
		bRuta.top='40%', bRuta.left='30%',bRuta.width='40%',bRuta.height='10%';
		header.top ='0%', header.left = '0%', header.width = '100%', header.height = '20%';
		logomb.top ='0%', logomb.left = '0%', logomb.width = '22%', logomb.height = '15%';
		etiquetaTitle.top = '10%', etiquetaTitle.left = '60%', etiquetaTitle.width = 'auto', etiquetaTitle.height='auto';
	
    if (ancho>alto)
    {	header.top ='0%', header.left = '0%', header.width = '100%', header.height = '20%';
		logomb.top ='0%', logomb.left = '0%', logomb.width = '10%', logomb.height = '15%';
		etiquetaTitle.top = '5%', etiquetaTitle.left = '60%', etiquetaTitle.width = 'auto', etiquetaTitle.height='auto';
		bConfig.top='89%', bConfig.left='35%', bConfig.width='30%', bConfig.height='10%';
		bRuta.top='40%', bRuta.left='35%',bRuta.width='30%',bRuta.height='15%';}
};



return win1;
};